import QtQuick 2.4

// prompt user for ending the workout

ModalDialog {
    id: root
    blockKeys: true

    property string prompt: "Are you sure?"
    property string yesText: qsTr("YES") + application.emptyString
    property string noText: qsTr("NO") + application.emptyString

    property int borderWidth: 800
    property int borderHeight: 350
    property int textXOffset: 149
    property int textSize: 40

    signal yesClicked()
    signal noClicked()

    Connections {
        target: main.isTft && root.visible ? keymapper : null

        onStartPressed: {
            main.debugKeys("startPressed", "ConfirmationPrompt")
            root.yesClicked()
        }
        onStartQuickStartPressed: {
            main.debugKeys("startQuickStartPressed", "ConfirmationPrompt")
            root.yesClicked()
        }
        onStopPressed: {
            main.debugKeys("stopPressed", "ConfirmationPrompt")
            root.noClicked()
        }
        onStopPausePressed: {
            main.debugKeys("stopPausePressed", "ConfirmationPrompt")
            root.noClicked()
        }
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: borderWidth
        height: borderHeight
        source: "graphics/ConfirmationPrompt/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: endPromptText
            x: textXOffset
            y: 35
            width: 501
            height: 99
            color: "#ffffff"
            text: root.prompt
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: textSize
        }

        ImageButton {
            id: noButton

            x: 538
            y: 157
            label_y_offset: -65
            label: noText
            smooth: true
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 22
            upimage: "graphics/ConfirmationPrompt/Small_Stop.png"
            downimage: "graphics/ConfirmationPrompt/Small_Stop_Down.png"
            onClicked: noClicked()
        }

        ImageButton {
            id: yesButton

            x: 149
            y: 178
            label_y_offset: -65
            label: yesText
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 22
            upimage: "graphics/ConfirmationPrompt/Small_Start.png"
            downimage: "graphics/ConfirmationPrompt/Small_Start_Down.png"
            onClicked: yesClicked()
        }
    }
}

