import QtQuick 2.4

ModalDialog {
    id: root
    blockKeys: true

    property string prompt: "Are you sure?"
    property string yesText: qsTr("YES") + application.emptyString
    property string noText: qsTr("NO") + application.emptyString

    property int borderWidth: 800
    property int borderHeight: 350
    property int textXOffset: 149
    property int textSize: 44
    width: borderWidth
    height: borderHeight

    signal yesClicked()
    signal noClicked()

    Connections {
        target: main.isTft && root.visible ? keymapper : null

        onEnter2Pressed: {
            main.debugKeys("enter2Pressed", "ConfirmationPromptTft")
            root.yesClicked()
        }
        onBackPressed: {
            main.debugKeys("backPressed", "ConfirmationPromptTft")
            root.noClicked()
        }
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: borderWidth
        height: borderHeight
        source: "graphics/ConfirmationPrompt/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: endPromptText
            x: textXOffset
            y: 35
            width: 501
            height: 99
            color: "#ffffff"
            text: root.prompt
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: textSize
        }

        Text {
            id: keyText
            anchors {
                top: endPromptText.bottom
                topMargin: 50
                horizontalCenter: parent.horizontalCenter
            }
            color: "white"
            font {
                pixelSize: 24
                bold: true
            }
            wrapMode: Text.WordWrap
            width: parent.width - 100
            horizontalAlignment: Text.AlignHCenter
            text: qsTr("press ENTER to accept, press BACK to exit") + application.emptyString
        }
    }
}

