import QtQuick 2.4

ControlListItem {
    id: root

    property string label: "----"
    property string labelColor: "black"
    property url onImage: "graphics/InlineCheckbox/224_Data_Screen_Indicator_Down.png"
    property url offImage: "graphics/InlineCheckbox/224_Data_Screen_Indicator_Disabled.png"
    property alias font: labelArea.font
    property int labelWidth: labelArea.implicitWidth
    property bool readOnly: false
    property bool value: false

    width: childrenRect.width
    height: visible ? 56 : 0
    x: 30
    opacity: 1

    navCursorWidth: root.width

    signal pressed()


    onEnterPressed: {
        if (!root.readOnly) {
            root.value = !root.value
            root.pressed()
        }
    }

    Rectangle {
        id: enclosingRect
        anchors.fill: parent
        color: "transparent"
        Text{
            id: labelArea
            width: root.labelWidth
            text: label
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            color: root.labelColor
            wrapMode: Text.WordWrap
        }

        Image {
            id: inlineImage
            visible: true
            source: root.value ? root.onImage : root.offImage
            anchors.left: labelArea.right
            anchors.verticalCenter: parent.verticalCenter
            MouseArea {
                id: imageClickArea
                anchors.fill: parent
                enabled: !root.readOnly
                onPressed: {
                    if (!root.readOnly) {
                        root.value = !root.value
                        root.pressed()
                    }
                }
            }
        }
    }

}
