import QtQuick 2.4

Rectangle {
    id: root

    property alias value: control.value
    property string displayValue: value
    property url thumbImage: "graphics/SliderControlLabeled/Double_Arrow_Slider_Thumb_Horz.png"
    property string headingString: ""
    property int minValue: 0
    property int maxValue: 100
    property bool sliderVisible: true
    property alias stepValue: control.stepValue
    property string labelColor: "black"

    width: 750
    height: visible ? 56 : 0
    x: 30

    color: "transparent"
    opacity: 1

    // attributes needed to be used in a KeyedControlList
    property bool selected: false
    property int navCursorWidth: heading.width
    property bool disabled: false

    function leftPressed() {
        if (!sliderVisible) return
        if (Qt.application.layoutDirection === Qt.RightToLeft)
            control.setValue(root.value + root.stepValue)
        else
            control.setValue(root.value - root.stepValue)
    }

    function rightPressed() {
        if (!sliderVisible) return
        if (Qt.application.layoutDirection === Qt.RightToLeft)
            control.setValue(root.value - root.stepValue)
        else
            control.setValue(root.value + root.stepValue)
    }

    Text{
        id: heading
        text: headingString
        anchors.verticalCenter: root.verticalCenter
        anchors.left: root.left
        color: root.labelColor
        width: 250
        height: Math.min(paintedHeight, root.height)
        wrapMode: Text.WordWrap
    }
    Text{
        id:valueString
        text: displayValue
        anchors.verticalCenter: root.verticalCenter
        anchors.right: control.left
        anchors.rightMargin: 25
    }
    SliderControl{
        id: control
        visible: sliderVisible
        width: 350
        anchors.verticalCenter: root.verticalCenter
        anchors.right: root.right
        //anchors.leftMargin: 50
        thumbImage: root.thumbImage
        //value: root.value
        minValue: root.minValue
        maxValue: root.maxValue
        onValueChanged: root.value = value
        showValue: false

    }

}
