import QtQuick 2.4
import Components 1.0

Item {
    id: root
    property url pos0image: "graphics/ToggleButton/Toggle_On.png"
    property url pos0image_disabled: "graphics/ToggleButton/Toggle_Disabled_True.png"
    property url pos1image: "graphics/ToggleButton/Toggle_Off.png"
    property url pos1image_disabled: "graphics/ToggleButton/Toggle_Disabled.png"
    property string pos0label: "0"
    property string pos1label: "1"
    property bool   value
    property string labelcolor: "transparent"
    property string highlightColor: "transparent"
    property alias posFont: pos0text.font
    property bool listenKeys: false

    width: childrenRect.width
    height: childrenRect.height

    onValueChanged: {
        button.isDown = value ? false : true
    }

    Connections {
        target: main.isTft && listenKeys ? keymapper : null

        onLeftButtonPressed: {
            main.debugKeys("leftPressed", "ToggleButton")
            root.setValue(false)
        }
        onRightButtonPressed: {
            main.debugKeys("rightPressed", "ToggleButton")
            root.setValue(true)
        }
    }

    signal toggled()

    function setValue(val) {
        button.setDown(!val)
    }

    ImageButton {
        id: button

        height: 18*1.5
        width: 36*1.5
        toggle: true
        font.pointSize: 1
        upimage: pos0image
        downimage: pos1image
        disabledimage: isDown ? pos1image_disabled : pos0image_disabled
        isDown: value ? false : true
        useParentContainerSize: true
        onIsDownChanged: {
            value = isDown ? false : true
            //console.debug("toggle changed: "+value)
        }
        mouseAreaScale: 1.8
        onClicked: if(toggle) toggled()
    }

    Text {
        id: pos0text
        text: pos0label
        anchors { right: button.left ; rightMargin: 5; verticalCenter: button.verticalCenter}
        horizontalAlignment: Text.AlignRight
        color: button.isDown ? highlightColor : labelcolor
    }
    Text {
        id: pos1text
        text: pos1label
        anchors { left: button.right ; leftMargin: 5; verticalCenter: button.verticalCenter}
        horizontalAlignment: Text.AlignLeft
        color: button.isDown ? labelcolor : highlightColor
        font: pos0text.font
    }
}
