import QtQuick 2.4
import Components 1.0

Item {
    id: root

    property variant channels
    property int currentChannel

    clip: true

    signal clicked(int index)
    signal channelSelected(string id)
    signal close()

    LayoutMirroring.enabled: Qt.application.layoutDirection === Qt.RightToLeft
    LayoutMirroring.childrenInherit: true

    // close button
    ImageButton {
        id: close_button
        visible: main.isTouch

        z: 200

        width: 48
        height: 48
        anchors {   right: parent.right ; rightMargin: 3 ;
                    top: parent.top ; topMargin: 3
        }
        upimage: "Keypad/KeyPad_X_Large.png"
        downimage: "Keypad/KeyPad_X_Large.png"

        onClicked: close()
        mouseAreaScale: 2.0

    }

    ChannelListView {
        anchors.fill: parent
        anchors.horizontalCenter: parent.horizontalCenter
        model: channels
        onChannelSelected: root.channelSelected(id)
        acceptKeys: menuOpen
    }

// end Component
}
