import QtQuick 2.4
import ".."
import Components 1.0

Rectangle {
    id: root

    property alias model: countryList.model
    property alias modelTranslationContext: countryList.modelTranslationContext
    property alias currentIndex: countryList.currentIndex
    property alias selectedData: countryList.selectedData
    function incrementCurrentIndex() { countryList.incrementCurrentIndex() }
    function decrementCurrentIndex() { countryList.decrementCurrentIndex() }

    signal itemSelected(int index)
    signal close()

    z: 200
    visible: false
    color: "#cccccc"
    radius: 5
    width: 350
    height: 580
//    anchors.fill: parent

    onClose: {
        root.visible = false
    }

    ImageButton {
        id: close_button
        visible: main.isTouch

        z: 200

        width: 36
        height: 36
        anchors {   right: parent.right ; rightMargin: 3 ;
            top: parent.top ; topMargin: 3
        }
        upimage: "../Keypad/KeyPad_X.png"
        downimage: "../Keypad/KeyPad_X.png"

        onClicked: root.close()
        mouseAreaScale: 2.0

    }

    SelectList {
        id: countryList
        listenKeys: root.visible

        onItemSelected: root.itemSelected(index)

        Connections {
            target: main.isTft && countryList.listenKeys ? keymapper : null

            onEnter2Pressed: {
                main.debugKeys("enter2Pressed", "CountryListPopup", "(countryList)")
                root.close()
            }

            onBackPressed: {
                main.debugKeys("backPressed", "CountryListPopup", "(countryList)")
                root.close()
            }
        }

        x: 100
        y: 80
        width: 247
        height: 450
    }
    Image {
        id: countrySwipeUpArrow
        x: 0
        y: 190
        source: "../graphics/Swipe_Arrows_Left.png"
        rotation: 90
    }
    Image {
        id: countrySwipeDownArrow
        x: 0
        y: 352
        source: "../graphics/Swipe_Arrows_Left.png"
        rotation: -90
    }

    Text {
        id: countryListLabel

        text: qsTr("Choose Country") + application.emptyString
        anchors {
            top: parent.top; topMargin: 10
            left: parent.left; leftMargin: 30
        }
        font.pixelSize: 16
    }
}
