import QtQuick 2.4
import Components 1.0

// Prompts for heart rate control programs

ModalDialog {
    id: root

    property string msgText: qsTranslate("HeartRatePrompts", "NA")

    Component.onCompleted: {
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "APPROACHING")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "WORKOUT BEGINNING")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "STOPPING: HEART RATE EXCEEDING 12 BPM OF TARGET")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "WORKOUT ENDING")});
        msgModel.append({"msg":QT_TRANSLATE_NOOP("HeartRatePrompts", "FITNESS TEST ENDING")});
    }

    function getMsg(index) {
        return qsTranslate("HeartRatePrompts", msgModel.get(index).msg);
    }

    function setMsg(index) {
        root.msgText = qsTranslate("HeartRatePrompts", msgModel.get(index).msg);
    }

    dismissable: true
    dismissAnywhere: true
    isTransparent: true

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: 800
        height: 350
        source: "graphics/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: promptText
//            x: 149
//            y: 35
            width: 501
            height: 99
            color: "#ffffff"
            text: root.msgText  + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 40
        }
    }

    ListModel {
        id: msgModel
    }
}

