import QtQuick 2.4
import Process 0.1

Item {
    id: root

    property string name
    property alias process: process

    Connections {
        target: application
        onCurrentLanguageChanged: {
            // Pass language to keypads
            process.write("CMD lang "+application.currentLanguage +"\n")
        }
    }

    Process {
        id: process
        program: "scripts/start_keypad.sh"
        arguments: ["--id", root.name, "--lang", application.currentLanguage]
        onReadyReadStandardOutput: {
            var data = (String(readAllStandardOutput())).trim()
            console.log("alphakeypad ["+root.name+"]:",data)
        }
        onReadyReadStandardError: {
            var data = (String(readAllStandardError())).trim()
            console.log("alphakeypad ["+root.name+"] (stderr):",data)
        }
    }

    Component.onCompleted: process.start()
}
