import QtQuick 2.4

Item {
    id: root
    property bool keysAccepted: false
    property bool isMenu: false
    property bool isPlaying: false
    width: 500
    height: 380
    Text {
        id: deviceConnectedText
        width: 450
        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
        text: bluetoothAdapter.connected ? (bluetoothAdapter.currentConnectedDevice.name + " " + qsTr("Connected") + application.emptyString) : ""
        font { pixelSize: 36; family: "arial"; bold: true }
        horizontalAlignment: Text.AlignHCenter
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 40
    }
    Item {
        id: navDirections
        visible: root.isMenu
        width: 270
        height: 190
        anchors.centerIn: parent
        anchors.verticalCenterOffset: 20
        Text {
            id: text_n1
            text: qsTr("use") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
        }
        Item {
            id: text_n2
            width: 240
            height: 32
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n1.bottom
            anchors.topMargin: 15
            Item {
                anchors.left: parent.left
                width: 90
                Image {
                    id: arrowRew
                    source: "../graphics/tft/REW_icon.png"
                    anchors.left: parent.left
                }
                Image {
                    id: arrowFwd
                    source: "../graphics/tft/FWD_icon.png"
                    anchors.right: parent.right
                }
            }
            Item {
                anchors.right: parent.right
                width: 90
                Image {
                    id: arrowDown
                    source: "../graphics/tft/arrow_down.png"
                    anchors.left: parent.left
                }
                Image {
                    id: arrowUp
                    source: "../graphics/tft/arrow_up.png"
                    anchors.right: parent.right
                }
            }
        }
        Text {
            id: text_n3
            text: qsTr("to navigate") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n2.bottom
            anchors.topMargin: 15
        }
        Text {
            id: text_n4
            text: qsTr("menu.") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n3.bottom
            anchors.topMargin: 15
        }
    }
    Item {
        id: bt_playScreenInstructions
        visible: main.isTft && root.keysAccepted && !root.isMenu
        width: 480
        height: 190
        anchors.centerIn: parent
        anchors.verticalCenterOffset: 20
        Text {
            id: bt_text_p1
            visible: root.isPlaying && !root.isMenu
            text: qsTr("use") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            scale: bt_text_p3.scale
        }
        Item {
            id: bt_text_p2
            visible: root.isPlaying && !root.isMenu
            width: 145
            height: 32
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p1.bottom
            anchors.topMargin: 15
            Image {
                id: rewImage2
                source: "../graphics/tft/REW_icon.png"
                anchors.left: parent.left
            }
            Image {
                id: fwdImage2
                source: "../graphics/tft/FWD_icon.png"
                anchors.right: parent.right
            }
        }
        Text {
            id: bt_text_p3
            visible: root.isPlaying && !root.isMenu
            text: qsTr("to advance or replay.") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p2.bottom
            anchors.topMargin: 15
            scale: width > parent.width ? parent.width / width : 1.0
        }
        Text {
            id: bt_text_p4
            width: 182
            height: 50
            anchors.left: bt_image_p5.left
            anchors.leftMargin: -5
            anchors.top: bt_text_p3.bottom
            anchors.topMargin: 15
            Text {
                id: p4_menu
                text: qsTr("MENU") + application.emptyString
                font { pixelSize: 18; family: "arial"; bold: true }
                x: 0
                y: 3
            }
            Image {
                id: p4_equals
                source: "../graphics/tft/equals.png"
                x: 62
            }
            Text {
                text: qsTr("ENTER") + application.emptyString
                font { pixelSize: 18; family: "arial"; bold: true }
                x: 111
                y: 3
            }
        }
        Image {
            id: bt_image_p5
            source: "../graphics/tft/vol-up-down_icons.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p4.bottom
            anchors.topMargin: 15
        }
    }
}
