// NetpulseWindow.qml
//  This is the base element for deriving "proxy" elements that represent a Netpulse application window.
//
//  The derived element provides position and size information for the Netpulse overlay when showing the associated page.
//
//  Properties:
//      page - the page name as it is know by the Netpulse application (login, install, etc., see the Netpulse OEM Message API)
//

import QtQuick 2.4

Item {
    id: root

    property string page

    // explicitly overwrite values for
    // x, y, width and height by setting these
    property int absx: -1
    property int absy: -1
    property int npw: -1
    property int nph: -1

    Component.onCompleted: {
        netpulse.setPageProxy(page, root)
    }

    function viewdestruct() {
        visible = false
        netpulse.removePageProxy(page)
    }

    function shown() {
        netpulse.showPage(root.page)
        visible = true
    }

    function hidden() {
        visible = false
        netpulse.hidePage(root.page)
    }

    signal messageReceived(variant message)

    visible: false
}
