// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

Item {
    id: dataDisplay
    width: 199
    height: 600

    property string dataElement1LabelStr: "";
    property string dataElement1ValueStr: "0";
    property bool dataElement1ValueDistType: false;
    property string dataElement2LabelStr: "";
    property string dataElement2ValueStr: "0";
    property bool dataElement2ValueDistType: false;
    property string dataElement3LabelStr: "";
    property string dataElement3ValueStr: "0";
    property bool dataElement3ValueDistType: false;
    property string dataElement4LabelStr: "";
    property string dataElement4ValueStr: "0";
    property bool dataElement4ValueDistType: false;
    property string dataElement5LabelStr: "";
    property string dataElement5ValueStr: "0";
    property bool dataElement5ValueDistType: false;
    property string dataElement6LabelStr: "";
    property string dataElement6ValueStr: "0";
    property bool dataElement6ValueDistType: false;
    property string topLevelLabelString: "";
    property string topLevelValueString: "0";
    property bool topLevelValueDistType: false;
    property int dataToDisplay: 1;
    property int updateValue: 0;
    property int totalItems: 0;
    property int elementsEnabled: 0;
    property bool dataElement1Enabled: false;
    property bool dataElement2Enabled: false;
    property bool dataElement3Enabled: false;
    property bool dataElement4Enabled: false;
    property bool dataElement5Enabled: false;
    property bool dataElement6Enabled: false;
    property bool rightSide: false;

    property bool _mouseAreaVisible: false

    function reset () {
        rotateDataTimer.stop();
        dataDisplay.dataElement1LabelStr = "";
        dataDisplay.dataElement1ValueStr = "0";
        dataDisplay.dataElement2LabelStr = "";
        dataDisplay.dataElement2ValueStr = "0";
        dataDisplay.dataElement3LabelStr = "";
        dataDisplay.dataElement3ValueStr = "0";
        dataDisplay.dataElement4LabelStr = "";
        dataDisplay.dataElement4ValueStr = "0";
        dataDisplay.dataElement5LabelStr = "";
        dataDisplay.dataElement5ValueStr = "0";
        dataDisplay.dataElement6LabelStr = "";
        dataDisplay.dataElement6ValueStr = "0";
        dataDisplay.dataToDisplay = 1;
        dataDisplay.updateValue = 0;
        dataDisplay.totalItems = 0;
        dataDisplay.elementsEnabled = 0;
        dataDisplay.dataElement1Enabled = false;
        dataDisplay.dataElement2Enabled = false;
        dataDisplay.dataElement3Enabled = false;
        dataDisplay.dataElement4Enabled = false;
        dataDisplay.dataElement5Enabled = false;
        dataDisplay.dataElement6Enabled = false;

        dataElement1.visible = false;
        dataElement2.visible = false;
        dataElement3.visible = false;
        dataElement4.visible = false;
        dataElement5.visible = false;
        dataElement6.visible = false;

        dataElement1Background.state = "Enabled";
        dataElement2Background.state = "Enabled";
        dataElement3Background.state = "Enabled";
        dataElement4Background.state = "Enabled";
        dataElement5Background.state = "Enabled";
        dataElement6Background.state = "Enabled";

        dataElement1Button.state = "ON";
        dataElement2Button.state = "ON";
        dataElement3Button.state = "ON";
        dataElement4Button.state = "ON";
        dataElement5Button.state = "ON";
        dataElement6Button.state = "ON";

        dataElement1Value.visible = true;
        dataElement2Value.visible = true;
        dataElement3Value.visible = true;
        dataElement4Value.visible = true;
        dataElement5Value.visible = true;
        dataElement6Value.visible = true;

        unitsLabel1.state = "ENGLISH";
        unitsLabel2.state = "ENGLISH";
        unitsLabel3.state = "ENGLISH";
        unitsLabel4.state = "ENGLISH";
        unitsLabel5.state = "ENGLISH";
        unitsLabel6.state = "ENGLISH";

        unitSelectionButton.state = "ENGLISH";

        topBarBackground.visible = false;
        workoutDataIndicators.visible = false;
    }

    function configureMenuList () {
        switch (dataDisplay.totalItems) {
            case 6:
                dataElement6.visible = true;
                dataElement6Enabled = true;
            case 5:
                dataElement5.visible = true;
                dataElement5Enabled = true;
            case 4:
                dataElement4.visible = true;
                dataElement4Enabled = true;
            case 3:
                dataElement3.visible = true;
                dataElement3Enabled = true;
            case 2:
                dataElement2.visible = true;
                dataElement2Enabled = true;
            case 1:
                dataElement1.visible = true;
                dataElement1Enabled = true;
                break;
            default:
                break;
        }
        rotateDataTimer.start();
    }

    function rotateThruData () {
        elementsEnabled = 0;
        if (dataElement1Background.state == "Enabled"  && dataElement1Enabled == true) {
            elementsEnabled++;
        }
        if (dataElement2Background.state == "Enabled" && dataElement2Enabled == true) {
            elementsEnabled++;
        }
        if (dataElement3Background.state == "Enabled" && dataElement3Enabled == true) {
            elementsEnabled++;
        }
        if (dataElement4Background.state == "Enabled" && dataElement4Enabled == true) {
            elementsEnabled++;
        }
        if (dataElement5Background.state == "Enabled" && dataElement5Enabled == true) {
            elementsEnabled++;
        }
        if (dataElement6Background.state == "Enabled" && dataElement6Enabled == true) {
            elementsEnabled++;
        }
        if (elementsEnabled == 0) {
            dataToDisplay = 0;
            updateValue = 99;
            return;
        }
        else {
            if (dataToDisplay == 0 && dataElement1Background.state == "Enabled" && dataElement1Enabled == true) {
                updateValue = 0;
                dataToDisplay = 1;
                return;
            }
            else  if (dataToDisplay == 0 && (dataElement1Background.state == "Disabled" || dataElement1Enabled == false)) {
                dataToDisplay = 1;
            }

            if (dataToDisplay == 1 && dataElement2Background.state == "Enabled" && dataElement2Enabled == true) {
                updateValue = 1;
                dataToDisplay = 2;
                return;
            }
            else  if (dataToDisplay == 1 && (dataElement2Background.state == "Disabled" || dataElement2Enabled == false)) {
                dataToDisplay = 2;
            }

            if (dataToDisplay == 2 && dataElement3Background.state == "Enabled" && dataElement3Enabled == true) {
                updateValue = 2;
                dataToDisplay = 3;
                return;
            }
            else  if (dataToDisplay == 2 && (dataElement3Background.state == "Disabled" || dataElement3Enabled == false)) {
                dataToDisplay = 3;
            }

            if (dataToDisplay == 3 && dataElement4Background.state == "Enabled" && dataElement4Enabled == true) {
                updateValue = 3;
                dataToDisplay = 4;
                return;
            }
            else  if (dataToDisplay == 3 && (dataElement4Background.state == "Disabled" || dataElement4Enabled == false)) {
                dataToDisplay = 4;
            }

            if (dataToDisplay == 4 && dataElement5Background.state == "Enabled" && dataElement5Enabled == true) {
                updateValue = 4;
                dataToDisplay = 5;
                return;
            }
            else  if (dataToDisplay == 4 && (dataElement5Background.state == "Disabled" || dataElement5Enabled == false)) {
                dataToDisplay = 5;
            }

            if (dataToDisplay == 5 && dataElement6Background.state == "Enabled" && dataElement6Enabled == true) {
                updateValue = 5;
                dataToDisplay = 0;
                return;
            }
            else  if (dataToDisplay == 5 && (dataElement6Background.state == "Disabled" || dataElement6Enabled == false)) {
                dataToDisplay = 0;
            }
        }
    }

    Item {
        id: topBar
        anchors.left: {
            if (dataDisplay.rightSide == true) {
                return undefined;
            }
            else {
                return parent.left;
            }
        }
        anchors.leftMargin: {
            if (dataDisplay.rightSide == true) {
                return 0;
            }
            else {
                return -22;
            }
        }
        anchors.right: {
            if (dataDisplay.rightSide == true) {
                return parent.right;
            }
            else {
                return undefined;
            }
        }
        anchors.rightMargin: {
            if (dataDisplay.rightSide == true) {
                return -22;
            }
            else {
                return 0;
            }
        }
        y: 2



        Image {
            id: topBarBackground
            source: {
                if (dataDisplay.rightSide == true) {
                    return "graphics/224/224_Data_Top_Data_Bar_Right.png";
                }
                else {
                    return "graphics/224/224_Data_Top_Data_Bar_Leftt.png";
                }
            }
            visible: false

        }

        MouseArea {
            anchors{
                top:topBarBackground.top
                bottom: topBarBackground.bottom
                left: topBarBackground.left
                right: topBarBackground.right
                topMargin: topBarBackground.height * 0.10
                bottomMargin: topBarBackground.height * 0.10
                leftMargin: topBarBackground.width * 0.10
                rightMargin: topBarBackground.width * 0.10
            }
            onPressed: {
                if (topBarBackground.visible == true) {
                    topBarBackground.visible = false;
                    workoutDataIndicators.visible = false;
                }
                else {
                    topBarBackground.visible = true;
                    workoutDataIndicators.visible = true;
                }
            }
            Rectangle{
                anchors.fill: parent
                color:"red"
                opacity: 0.3
                visible: _mouseAreaVisible
            }
        }

        Text {
            id: topLevelLabel
            anchors.left: {
                if (dataDisplay.rightSide == true) {
                    return undefined;
                }
                else {
                    return topBarBackground.left;
                }
            }
            anchors.leftMargin: {
                if (dataDisplay.rightSide == true) {
                    return 0;
                }
                else {
                    return 46;
                }
            }
            anchors.right: {
                if (dataDisplay.rightSide == true) {
                    return topBarBackground.right;
                }
                else {
                    return undefined;
                }
            }
            anchors.rightMargin: {
                if (dataDisplay.rightSide == true) {
                    return 46;
                }
                else {
                    return 0;
                }
            }
            y: 40
            color: "black"
            font.pointSize: 11
            font.bold: true
            text: topLevelLabelString
        }

        Text {
            id: unitsLabelTop
            anchors.left: {
                if (dataDisplay.rightSide == true) {
                    return undefined;
                }
                else {
                    return topLevelValue.right;
                }
            }
            anchors.leftMargin: {
                if (dataDisplay.rightSide == true) {
                    return 0;
                }
                else {
                    return 5;
                }
            }
            anchors.right: {
                if (dataDisplay.rightSide == true) {
                    return topBarBackground.right;
                }
                else {
                    return undefined;
                }
            }
            anchors.rightMargin: {
                if (dataDisplay.rightSide == true) {
                    return 46;
                }
                else {
                    return 0;
                }
            }
            anchors.bottom: topLevelValue.bottom
            anchors.bottomMargin: 8
            color: "black"
            font.pointSize: 11
            font.bold: true
            text: qsTr("MI")
            visible: {
                if (topLevelValueDistType == true) {
                    return true;
                }
                else {
                    return false;
                }
            }
            state: "ENGLISH"

            states: [
                State {
                    name: "ENGLISH";
                    PropertyChanges {
                        target: unitsLabelTop
                        text: qsTr("MI")
                    }
                },
                State {
                    name: "METRIC";
                    PropertyChanges {
                        target: unitsLabelTop
                        text: qsTr("KM")
                    }
                }
            ]
        }

        Text {
            id: topLevelValue
            anchors.left: {
                if (dataDisplay.rightSide == true) {
                    return undefined;
                }
                else {
                    return topBarBackground.left;
                }
            }
            anchors.leftMargin: {
                if (dataDisplay.rightSide == true) {
                    return 0;
                }
                else {
                    return 46;
                }
            }
            anchors.right: {
                if (dataDisplay.rightSide == true) {
                    return topBarBackground.right;
                }
                else {
                    return undefined;
                }
            }
            anchors.rightMargin: {
                if (dataDisplay.rightSide == true) {
                    if (topLevelValueDistType == true) {
                        return 71;
                    }
                    else {
                        return 46;
                    }
                }
                else {
                    return 0;
                }
            }
            y: 54
            color: "black"
            font.pointSize: 40
            font.bold: true
            text: topLevelValueString
        }

        Image {
            id: topLevelButton
            anchors.left: {
                if (dataDisplay.rightSide == true) {
                    return undefined;
                }
                else {
                    return topBarBackground.left;
                }
            }
            anchors.leftMargin: {
                if (dataDisplay.rightSide == true) {
                    return 0;
                }
                else {
                    return 102;
                }
            }
            anchors.right: {
                if (dataDisplay.rightSide == true) {
                    return topBarBackground.right;
                }
                else {
                    return undefined;
                }
            }
            anchors.rightMargin: {
                if (dataDisplay.rightSide == true) {
                    return 102;
                }
                else {
                    return 0;
                }
            }
            anchors.bottom: topBarBackground.bottom
            anchors.bottomMargin: 20
            source: "graphics/224/224_Data_Data_Grey_Arrow.png"



        }

    }

    Item {
        id: workoutDataIndicators
        visible: false
        anchors.left: {
            if (dataDisplay.rightSide == true) {
                return undefined;
            }
            else {
                return topBar.left;
            }
        }
        anchors.leftMargin: {
            if (dataDisplay.rightSide == true) {
                return 0;
            }
            else {
                return 19;
            }
        }
        anchors.right: {
            if (dataDisplay.rightSide == true) {
                return topBar.right;
            }
            else {
                return undefined;
            }
        }
        anchors.rightMargin: {
            if (dataDisplay.rightSide == true) {
                return -104;
            }
            else {
                return 0;
            }
        }

        Item {
            id: dataElement1
            width: 199
            height: 128
            y: 128
            visible: false

            Image {
                id: dataElement1Background
                source: "graphics/224/224_Data_Bar_2a.png"
                mirror: {
                    if (dataDisplay.rightSide == true) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                state: "Enabled"

                states: [
                    State {
                        name: "Enabled";
                        PropertyChanges {
                            target: dataElement1Background
                            source: "graphics/224/224_Data_Bar_2a.png"
                        }
                        PropertyChanges {
                            target: dataElement1
                            height: 128
                        }
                    },
                    State {
                        name: "Disabled";
                        PropertyChanges {
                            target: dataElement1Background
                            source: "graphics/224/224_Data_Bar_4.png"
                        }
                        PropertyChanges {
                            target: dataElement1
                            height: 99
                        }
                    }
                ]
            }

            Text {
                id: dataElement1Label
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement1Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement1Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                y: 30
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: dataElement1LabelStr
            }

            Text {
                id: unitsLabel1
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement1Background.right;
                    }
                    else {
                        return dataElement1Button.left;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 5;
                    }
                }
                anchors.verticalCenter: dataElement1Button.verticalCenter
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("MI")
                visible: {
                    if (dataElement1ValueDistType == true && dataElement1Button.state == "ON") {
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                state: "ENGLISH"

                states: [
                    State {
                        name: "ENGLISH";
                        PropertyChanges {
                            target: unitsLabel1
                            text: qsTr("MI")
                        }
                    },
                    State {
                        name: "METRIC";
                        PropertyChanges {
                            target: unitsLabel1
                            text: qsTr("KM")
                        }
                    }
                ]
            }

            Text {
                id: dataElement1Value
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement1Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement1Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        if (dataElement1ValueDistType == true) {
                            return 55;
                        }
                        else {
                            return 30;
                        }
                    }
                    else {
                        return 0;
                    }
                }
                y: 64
                color: "black"
                font.pointSize: 24
                font.bold: true
                text: dataElement1ValueStr
            }

            Image {
                id: dataElement1Button
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement1Background.left;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement1Background.right;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.bottom: dataElement1Background.bottom
                anchors.bottomMargin: 30
                source: "graphics/224/Toggle_On.png"
                state: "ON"

                states: [
                    State {
                        name: "ON";
                        PropertyChanges {
                            target: dataElement1Button
                            source: "graphics/224/Toggle_On.png"
                        }
                    },
                    State {
                        name: "OFF";
                        PropertyChanges {
                            target: dataElement1Button
                            source: "graphics/224/Toggle_Off.png"
                        }
                    }
                ]


            }
            MouseArea {
                anchors{
                    top:dataElement1Background.top
                    bottom: dataElement1Background.bottom
                    left: dataElement1Background.left
                    right: dataElement1Background.right
                    topMargin: dataElement1Background.height * 0.17
                    bottomMargin: dataElement1Background.height * 0.17
                    leftMargin: dataElement1Background.height * 0.0
                    rightMargin: dataElement1Background.height * 0.0
                }
                onPressed: {
                    if (dataElement1Button.state == "ON")
                    {
                        dataElement1Button.state = "OFF";
                        dataElement1Background.state = "Disabled";
                        dataElement1Value.visible = false;
                    }
                    else
                    {
                        dataElement1Button.state = "ON";
                        dataElement1Background.state = "Enabled";
                        dataElement1Value.visible = true;
                    }
                    dataDisplay.rotateThruData();
                }
                Rectangle{
                    anchors.fill: parent
                    color:"red"
                    opacity: 0.3
                    visible: _mouseAreaVisible
                }
            }
        }

        Item {
            id: dataElement2
            anchors.top: dataElement1.bottom
            anchors.topMargin: -42
            visible: false

            Image {
                id: dataElement2Background
                source: "graphics/224/224_Data_Bar_2a.png"
                mirror: {
                    if (dataDisplay.rightSide == true) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                state: "Enabled"

                states: [
                    State {
                        name: "Enabled";
                        PropertyChanges {
                            target: dataElement2Background
                            source: "graphics/224/224_Data_Bar_2a.png"
                        }
                        PropertyChanges {
                            target: dataElement2
                            height: 128
                        }
                    },
                    State {
                        name: "Disabled";
                        PropertyChanges {
                            target: dataElement2Background
                            source: "graphics/224/224_Data_Bar_4.png"
                        }
                        PropertyChanges {
                            target: dataElement2
                            height: 99
                        }
                    }
                ]
            }

            Text {
                id: dataElement2Label
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement2Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement2Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                y: 30
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: dataElement2LabelStr
            }

            Text {
                id: unitsLabel2
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement2Background.right;
                    }
                    else {
                        return dataElement2Button.left;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 5;
                    }
                }
                anchors.verticalCenter: dataElement2Button.verticalCenter
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("MI")
                visible: {
                    if (dataElement2ValueDistType == true && dataElement2Button.state == "ON") {
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                state: "ENGLISH"

                states: [
                    State {
                        name: "ENGLISH";
                        PropertyChanges {
                            target: unitsLabel2
                            text: qsTr("MI")
                        }
                    },
                    State {
                        name: "METRIC";
                        PropertyChanges {
                            target: unitsLabel2
                            text: qsTr("KM")
                        }
                    }
                ]
            }

            Text {
                id: dataElement2Value
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement2Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement2Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        if (dataElement2ValueDistType == true) {
                            return 55;
                        }
                        else {
                            return 30;
                        }
                    }
                    else {
                        return 0;
                    }
                }
                y: 64
                color: "black"
                font.pointSize: 24
                font.bold: true
                text: dataElement2ValueStr
            }

            Image {
                id: dataElement2Button
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement2Background.left;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement2Background.right;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.bottom: dataElement2Background.bottom
                anchors.bottomMargin: 30
                source: "graphics/224/Toggle_On.png"
                state: "ON"

                states: [
                    State {
                        name: "ON";
                        PropertyChanges {
                            target: dataElement2Button
                            source: "graphics/224/Toggle_On.png"
                        }
                    },
                    State {
                        name: "OFF";
                        PropertyChanges {
                            target: dataElement2Button
                            source: "graphics/224/Toggle_Off.png"
                        }
                    }
                ]
            }
            MouseArea {
                anchors{
                    top:dataElement2Background.top
                    bottom: dataElement2Background.bottom
                    left: dataElement2Background.left
                    right: dataElement2Background.right
                    topMargin: dataElement2Background.height * 0.17
                    bottomMargin: dataElement2Background.height * 0.17
                    leftMargin: dataElement2Background.height * 0.0
                    rightMargin: dataElement2Background.height * 0.0
                }
                onPressed: {
                    if (dataElement2Button.state == "ON")
                    {
                        dataElement2Button.state = "OFF";
                        dataElement2Background.state = "Disabled";
                        dataElement2Value.visible = false;
                    }
                    else
                    {
                        dataElement2Button.state = "ON";
                        dataElement2Background.state = "Enabled";
                        dataElement2Value.visible = true;
                    }
                    dataDisplay.rotateThruData();
                }
                Rectangle{
                    anchors.fill: parent
                    color:"red"
                    opacity: 0.3
                    visible: _mouseAreaVisible
                }
            }
        }

        Item {
            id: dataElement3
            anchors.top: dataElement2.bottom
            anchors.topMargin: -42
            visible: false
            Image {
                id: dataElement3Background
                source: "graphics/224/224_Data_Bar_2a.png"
                mirror: {
                    if (dataDisplay.rightSide == true) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                state: "Enabled"

                states: [
                    State {
                        name: "Enabled";
                        PropertyChanges {
                            target: dataElement3Background
                            source: "graphics/224/224_Data_Bar_2a.png"
                        }
                        PropertyChanges {
                            target: dataElement3
                            height: 128
                        }
                    },
                    State {
                        name: "Disabled";
                        PropertyChanges {
                            target: dataElement3Background
                            source: "graphics/224/224_Data_Bar_4.png"
                        }
                        PropertyChanges {
                            target: dataElement3
                            height: 99
                        }
                    }
                ]
            }

            Text {
                id: dataElement3Label
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement3Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement3Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                y: 30
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: dataElement3LabelStr
            }

            Text {
                id: unitsLabel3
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement3Background.right;
                    }
                    else {
                        return dataElement3Button.left;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 5;
                    }
                }
                anchors.verticalCenter: dataElement3Button.verticalCenter
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("MI")
                visible: {
                    if (dataElement3ValueDistType == true && dataElement3Button.state == "ON") {
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                state: "ENGLISH"

                states: [
                    State {
                        name: "ENGLISH";
                        PropertyChanges {
                            target: unitsLabel3
                            text: qsTr("MI")
                        }
                    },
                    State {
                        name: "METRIC";
                        PropertyChanges {
                            target: unitsLabel3
                            text: qsTr("KM")
                        }
                    }
                ]
            }

            Text {
                id: dataElement3Value
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement3Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement3Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        if (dataElement3ValueDistType == true) {
                            return 55;
                        }
                        else {
                            return 30;
                        }
                    }
                    else {
                        return 0;
                    }
                }
                y: 64
                color: "black"
                font.pointSize: 24
                font.bold: true
                text: dataElement3ValueStr
            }

            Image {
                id: dataElement3Button
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement3Background.left;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement3Background.right;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.bottom: dataElement3Background.bottom
                anchors.bottomMargin: 30
                source: "graphics/224/Toggle_On.png"
                state: "ON"

                states: [
                    State {
                        name: "ON";
                        PropertyChanges {
                            target: dataElement3Button
                            source: "graphics/224/Toggle_On.png"
                        }
                    },
                    State {
                        name: "OFF";
                        PropertyChanges {
                            target: dataElement3Button
                            source: "graphics/224/Toggle_Off.png"
                        }
                    }
                ]
            }
            MouseArea {
                anchors{
                    top:dataElement3Background.top
                    bottom: dataElement3Background.bottom
                    left: dataElement3Background.left
                    right: dataElement3Background.right
                    topMargin: dataElement3Background.height * 0.17
                    bottomMargin: dataElement3Background.height * 0.17
                    leftMargin: dataElement3Background.height * 0.0
                    rightMargin: dataElement3Background.height * 0.0
                }
                onPressed: {
                    if (dataElement3Button.state == "ON")
                    {
                        dataElement3Button.state = "OFF";
                        dataElement3Background.state = "Disabled";
                        dataElement3Value.visible = false;
                    }
                    else
                    {
                        dataElement3Button.state = "ON";
                        dataElement3Background.state = "Enabled";
                        dataElement3Value.visible = true;
                    }
                    dataDisplay.rotateThruData();
                }
                Rectangle{
                    anchors.fill: parent
                    color:"red"
                    opacity: 0.3
                    visible: _mouseAreaVisible
                }
            }
        }

        Item {
            id: dataElement4
            anchors.top: dataElement3.bottom
            anchors.topMargin: -42
            visible: false

            Image {
                id: dataElement4Background
                source: "graphics/224/224_Data_Bar_2a.png"
                mirror: {
                    if (dataDisplay.rightSide == true) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                state: "Enabled"

                states: [
                    State {
                        name: "Enabled";
                        PropertyChanges {
                            target: dataElement4Background
                            source: "graphics/224/224_Data_Bar_2a.png"
                        }
                        PropertyChanges {
                            target: dataElement4
                            height: 128
                        }
                    },
                    State {
                        name: "Disabled";
                        PropertyChanges {
                            target: dataElement4Background
                            source: "graphics/224/224_Data_Bar_4.png"
                        }
                        PropertyChanges {
                            target: dataElement4
                            height: 99
                        }
                    }
                ]
            }

            Text {
                id: dataElement4Label
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement4Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement4Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                y: 30
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: dataElement4LabelStr
            }

            Text {
                id: unitsLabel4
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement4Background.right;
                    }
                    else {
                        return dataElement4Button.left;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 5;
                    }
                }
                anchors.verticalCenter: dataElement4Button.verticalCenter
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("MI")
                visible: {
                    if (dataElement4ValueDistType == true && dataElement4Button.state == "ON") {
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                state: "ENGLISH"

                states: [
                    State {
                        name: "ENGLISH";
                        PropertyChanges {
                            target: unitsLabel4
                            text: qsTr("MI")
                        }
                    },
                    State {
                        name: "METRIC";
                        PropertyChanges {
                            target: unitsLabel4
                            text: qsTr("KM")
                        }
                    }
                ]
            }

            Text {
                id: dataElement4Value
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement4Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement4Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        if (dataElement4ValueDistType == true) {
                            return 55;
                        }
                        else {
                            return 30;
                        }
                    }
                    else {
                        return 0;
                    }
                }
                y: 64
                color: "black"
                font.pointSize: 24
                font.bold: true
                text: dataElement4ValueStr
            }

            Image {
                id: dataElement4Button
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement4Background.left;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement4Background.right;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.bottom: dataElement4Background.bottom
                anchors.bottomMargin: 30
                source: "graphics/224/Toggle_On.png"
                state: "ON"

                states: [
                    State {
                        name: "ON";
                        PropertyChanges {
                            target: dataElement4Button
                            source: "graphics/224/Toggle_On.png"
                        }
                    },
                    State {
                        name: "OFF";
                        PropertyChanges {
                            target: dataElement4Button
                            source: "graphics/224/Toggle_Off.png"
                        }
                    }
                ]
            }
            MouseArea {
                anchors{
                    top:dataElement4Background.top
                    bottom: dataElement4Background.bottom
                    left: dataElement4Background.left
                    right: dataElement4Background.right
                    topMargin: dataElement4Background.height * 0.17
                    bottomMargin: dataElement4Background.height * 0.17
                    leftMargin: dataElement4Background.height * 0.0
                    rightMargin: dataElement4Background.height * 0.0
                }
                onPressed: {
                    if (dataElement4Button.state == "ON")
                    {
                        dataElement4Button.state = "OFF";
                        dataElement4Background.state = "Disabled";
                        dataElement4Value.visible = false;
                    }
                    else
                    {
                        dataElement4Button.state = "ON";
                        dataElement4Background.state = "Enabled";
                        dataElement4Value.visible = true;
                    }
                    dataDisplay.rotateThruData();
                }
                Rectangle{
                    anchors.fill: parent
                    color:"red"
                    opacity: 0.3
                    visible: _mouseAreaVisible
                }
            }
        }

        Item {
            id: dataElement5
            anchors.top: dataElement4.bottom
            anchors.topMargin: -42
            visible: false

            Image {
                id: dataElement5Background
                source: "graphics/224/224_Data_Bar_2a.png"
                mirror: {
                    if (dataDisplay.rightSide == true) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                state: "Enabled"

                states: [
                    State {
                        name: "Enabled";
                        PropertyChanges {
                            target: dataElement5Background
                            source: "graphics/224/224_Data_Bar_2a.png"
                        }
                        PropertyChanges {
                            target: dataElement5
                            height: 128
                        }
                    },
                    State {
                        name: "Disabled";
                        PropertyChanges {
                            target: dataElement5Background
                            source: "graphics/224/224_Data_Bar_4.png"
                        }
                        PropertyChanges {
                            target: dataElement5
                            height: 99
                        }
                    }
                ]
            }

            Text {
                id: dataElement5Label
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement5Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement5Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                y: 30
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: dataElement5LabelStr
            }

            Text {
                id: unitsLabel5
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement5Background.right;
                    }
                    else {
                        return dataElement5Button.left;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 5;
                    }
                }
                anchors.verticalCenter: dataElement5Button.verticalCenter
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("MI")
                visible: {
                    if (dataElement5ValueDistType == true && dataElement5Button.state == "ON") {
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                state: "ENGLISH"

                states: [
                    State {
                        name: "ENGLISH";
                        PropertyChanges {
                            target: unitsLabel5
                            text: qsTr("MI")
                        }
                    },
                    State {
                        name: "METRIC";
                        PropertyChanges {
                            target: unitsLabel5
                            text: qsTr("KM")
                        }
                    }
                ]
            }

            Text {
                id: dataElement5Value
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement5Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement5Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        if (dataElement5ValueDistType == true) {
                            return 55;
                        }
                        else {
                            return 30;
                        }
                    }
                    else {
                        return 0;
                    }
                }
                y: 64
                color: "black"
                font.pointSize: 24
                font.bold: true
                text: dataElement5ValueStr
            }

            Image {
                id: dataElement5Button
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement5Background.left;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement5Background.right;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.bottom: dataElement5Background.bottom
                anchors.bottomMargin: 30
                source: "graphics/224/Toggle_On.png"
                state: "ON"

                states: [
                    State {
                        name: "ON";
                        PropertyChanges {
                            target: dataElement5Button
                            source: "graphics/224/Toggle_On.png"
                        }
                    },
                    State {
                        name: "OFF";
                        PropertyChanges {
                            target: dataElement5Button
                            source: "graphics/224/Toggle_Off.png"
                        }
                    }
                ]
            }
            MouseArea {
                anchors{
                    top:dataElement5Background.top
                    bottom: dataElement5Background.bottom
                    left: dataElement5Background.left
                    right: dataElement5Background.right
                    topMargin: dataElement5Background.height * 0.17
                    bottomMargin: dataElement5Background.height * 0.17
                    leftMargin: dataElement5Background.height * 0.0
                    rightMargin: dataElement5Background.height * 0.0
                }
                onPressed: {
                    if (dataElement5Button.state == "ON")
                    {
                        dataElement5Button.state = "OFF";
                        dataElement5Background.state = "Disabled";
                        dataElement5Value.visible = false;
                    }
                    else
                    {
                        dataElement5Button.state = "ON";
                        dataElement5Background.state = "Enabled";
                        dataElement5Value.visible = true;
                    }
                    dataDisplay.rotateThruData();
                }
                Rectangle{
                    anchors.fill: parent
                    color:"red"
                    opacity: 0.3
                    visible: _mouseAreaVisible
                }
            }
        }

        Item {
            id: dataElement6
            anchors.top: dataElement5.bottom
            anchors.topMargin: -42
            visible: false

            Image {
                id: dataElement6Background
                source: "graphics/224/224_Data_Bar_2a.png"
                mirror: {
                    if (dataDisplay.rightSide == true) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
                state: "Enabled"

                states: [
                    State {
                        name: "Enabled";
                        PropertyChanges {
                            target: dataElement6Background
                            source: "graphics/224/224_Data_Bar_2a.png"
                        }
                        PropertyChanges {
                            target: dataElement6
                            height: 128
                        }
                    },
                    State {
                        name: "Disabled";
                        PropertyChanges {
                            target: dataElement6Background
                            source: "graphics/224/224_Data_Bar_4.png"
                        }
                        PropertyChanges {
                            target: dataElement6
                            height: 99
                        }
                    }
                ]
            }

            Text {
                id: dataElement6Label
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement6Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement6Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                y: 30
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: dataElement6LabelStr
            }

            Text {
                id: unitsLabel6
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement6Background.right;
                    }
                    else {
                        return dataElement6Button.left;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 5;
                    }
                }
                anchors.verticalCenter: dataElement6Button.verticalCenter
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("MI")
                visible: {
                    if (dataElement6ValueDistType == true && dataElement6Button.state == "ON") {
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                state: "ENGLISH"

                states: [
                    State {
                        name: "ENGLISH";
                        PropertyChanges {
                            target: unitsLabel6
                            text: qsTr("MI")
                        }
                    },
                    State {
                        name: "METRIC";
                        PropertyChanges {
                            target: unitsLabel6
                            text: qsTr("KM")
                        }
                    }
                ]
            }

            Text {
                id: dataElement6Value
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement6Background.left;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement6Background.right;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        if (dataElement6ValueDistType == true) {
                            return 55;
                        }
                        else {
                            return 30;
                        }
                    }
                    else {
                        return 0;
                    }
                }
                y: 64
                color: "black"
                font.pointSize: 24
                font.bold: true
                text: dataElement6ValueStr
            }

            Image {
                id: dataElement6Button
//                anchors.right: dataElement6Background.right
//                anchors.rightMargin: 30
                anchors.left: {
                    if (dataDisplay.rightSide == true) {
                        return dataElement6Background.left;
                    }
                    else {
                        return undefined;
                    }
                }
                anchors.leftMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 30;
                    }
                    else {
                        return 0;
                    }
                }
                anchors.right: {
                    if (dataDisplay.rightSide == true) {
                        return undefined;
                    }
                    else {
                        return dataElement6Background.right;
                    }
                }
                anchors.rightMargin: {
                    if (dataDisplay.rightSide == true) {
                        return 0;
                    }
                    else {
                        return 30;
                    }
                }
                anchors.bottom: dataElement6Background.bottom
                anchors.bottomMargin: 30
                source: "graphics/224/Toggle_On.png"
                state: "ON"

                states: [
                    State {
                        name: "ON";
                        PropertyChanges {
                            target: dataElement6Button
                            source: "graphics/224/Toggle_On.png"
                        }
                    },
                    State {
                        name: "OFF";
                        PropertyChanges {
                            target: dataElement6Button
                            source: "graphics/224/Toggle_Off.png"
                        }
                    }
                ]
            }
            MouseArea {
                anchors{
                    top:dataElement6Background.top
                    bottom: dataElement6Background.bottom
                    left: dataElement6Background.left
                    right: dataElement6Background.right
                    topMargin: dataElement6Background.height * 0.17
                    bottomMargin: dataElement6Background.height * 0.17
                    leftMargin: dataElement6Background.height * 0.0
                    rightMargin: dataElement6Background.height * 0.0
                }
                onPressed: {
                    if (dataElement6Button.state == "ON")
                    {
                        dataElement6Button.state = "OFF";
                        dataElement6Background.state = "Disabled";
                        dataElement6Value.visible = false;
                    }
                    else
                    {
                        dataElement6Button.state = "ON";
                        dataElement6Background.state = "Enabled";
                        dataElement6Value.visible = true;
                    }
                    dataDisplay.rotateThruData();
                }
                Rectangle{
                    anchors.fill: parent
                    color:"red"
                    opacity: 0.3
                    visible: _mouseAreaVisible
                }
            }
        }

        Item {
            id: unitSelection
            anchors.top: {
                if (dataDisplay.totalItems == 0) {
                    return parent.top;
                }
                else if (dataDisplay.totalItems == 1) {
                    return dataElement1.bottom;
                }
                else if (dataDisplay.totalItems == 2) {
                    return dataElement2.bottom;
                }
                else if (dataDisplay.totalItems == 3) {
                    return dataElement3.bottom;
                }
                else if (dataDisplay.totalItems == 4) {
                    return dataElement4.bottom;
                }
                else if (dataDisplay.totalItems == 5) {
                    return dataElement5.bottom;
                }
                else if (dataDisplay.totalItems == 6) {
                    return dataElement6.bottom;
                }
            }
            anchors.topMargin: -42

            Image {
                id: unitSelectionBackground
                source: "graphics/224/224_Data_Bar_Rounded_Bottom.png"
                mirror: {
                    if (dataDisplay.rightSide == true) {
                        return false;
                    }
                    else {
                        return true;
                    }
                }
            }

            Text {
                id: kilometersLabel
                anchors.left: unitSelectionBackground.left
                anchors.leftMargin: 30
                y: 34
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("KM")
            }

            Text {
                id: milesLabel
                anchors.right: unitSelectionBackground.right
                anchors.rightMargin: 70
                y: 34
                color: "black"
                font.pointSize: 11
                font.bold: true
                text: qsTr("MI")
            }

            Image {
                id: unitSelectionButton
                anchors.left: unitSelectionBackground.left
                anchors.leftMargin: 62
                y: 36
                source: "graphics/224/Toggle_On.png"
                state: "ENGLISH"

                states: [
                    State {
                        name: "ENGLISH";
                        PropertyChanges {
                            target: unitSelectionButton
                            source: "graphics/224/Toggle_On.png"
                        }
                    },
                    State {
                        name: "METRIC";
                        PropertyChanges {
                            target: unitSelectionButton
                            source: "graphics/224/Toggle_Off.png"
                        }
                    }
                ]
            }
            MouseArea {
                anchors{
                    top:unitSelectionBackground.top
                    bottom: unitSelectionBackground.bottom
                    left: unitSelectionBackground.left
                    right: unitSelectionBackground.right
                    topMargin: unitSelectionBackground.height * 0.17
                    bottomMargin: unitSelectionBackground.height * 0.17
                    leftMargin: unitSelectionBackground.height * 0.0
                    rightMargin: unitSelectionBackground.height * 0.0
                }
                onPressed: {
                    if (unitSelectionButton.state == "ENGLISH")
                    {
                        unitSelectionButton.state = "METRIC";
                        unitsLabel1.state = "METRIC";
                        unitsLabel2.state = "METRIC";
                        unitsLabel3.state = "METRIC";
                        unitsLabel4.state = "METRIC";
                        unitsLabel5.state = "METRIC";
                        unitsLabel6.state = "METRIC";
                    }
                    else
                    {
                        unitSelectionButton.state = "ENGLISH";
                        unitsLabel1.state = "ENGLISH";
                        unitsLabel2.state = "ENGLISH";
                        unitsLabel3.state = "ENGLISH";
                        unitsLabel4.state = "ENGLISH";
                        unitsLabel5.state = "ENGLISH";
                        unitsLabel6.state = "ENGLISH";
                    }
                }
                Rectangle{
                    anchors.fill: parent
                    color:"red"
                    opacity: 0.3
                    visible: _mouseAreaVisible
                }
            }
        }

        Timer {
            id: rotateDataTimer
            interval: 5000; running: true; repeat: true
            onTriggered: rotateThruData();
        }
    }
}
