// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

Item {
    id: root

    property bool listenKeys: false
    property int mouseX: application.getMousePos().x
    property int mouseY: application.getMousePos().y
    property int dx: 25
    property int dy: 25

    anchors.fill: parent
    visible: listenKeys

    Rectangle {
        id: cursor
        width: 25
        height: 25
        color: "blue"
        opacity: 0.5
        x: root.mouseX - width/2
        y: root.mouseY - height/2
    }

    Connections {
        target: main.isTft && root.listenKeys ? keymapper : null

        onUpButtonPressed: {
            application.setMousePos(root.mouseX, Math.max(0, root.mouseY - dy))
            root.mouseY = application.getMousePos().y
        }

        onDownButtonPressed: {
            application.setMousePos(root.mouseX, Math.min(768 - dy, root.mouseY + dy))
            root.mouseY = application.getMousePos().y
        }

        onLeftButtonPressed: {
            application.setMousePos(Math.max(0, root.mouseX - dx), root.mouseY)
            root.mouseX = application.getMousePos().x
        }

        onRightButtonPressed: {
            application.setMousePos(Math.min(1366 - dx, root.mouseX + dx), root.mouseY)
            root.mouseX = application.getMousePos().x
        }

        onEnter2Pressed: {
            application.simulateMouseClick()
        }
    }

}
