import QtQuick 2.4

Item {
    property int paceTarget: 50
    property int rpm: 0
    property int max: 120
    property int min: 40

    id: root
    width: 155
    height: 70


    Image {
        id: paceMeterBackground

        anchors.horizontalCenter: root.horizontalCenter
        anchors.bottom: root.bottom
        source: "graphics/224/Pace_Meter_Dark.png"
    }

    Item {
        id: paceMeterFill

        anchors.left: paceMeterBackground.left
        anchors.bottom: parent.bottom
        width: ((paceMeterFillColor.width ) * ((root.rpm - min) / (max - min)))// Need to compute width from 6 to 115; compute based on actual rpm with range being from 40 to 120 RPM
        height: paceMeterBackground.height

        Behavior on width {PropertyAnimation{}}

        Image {
            id: paceMeterFillColor
            source: "graphics/224/Pace_Meter_Light.png"
        }
        clip: true
    }

    Image {
        id: paceMeterBorder
        anchors.horizontalCenter: root.horizontalCenter
        anchors.bottom: root.bottom
        source: "graphics/224/Pace_Meter_Blk_Rule.png"
    }

    Image {
        id: paceMeterArrow
        property int value: paceTarget < min ? min : (paceTarget > max ? max : paceTarget)
        property int offset:(paceMeterBackground.width * (value - min) / (max - min))
        x: (paceMeterBorder.x - 15) + offset
        anchors.bottom: paceMeterBackground.top
        anchors.bottomMargin: -5
        source: "graphics/224/Small_Black_Arrow.png"
        Behavior on x {PropertyAnimation{}}
    }

//    Text{
//        anchors.fill: paceMeterBackground
//        text: aWorkoutRunData.paceLevel
//        color: "white"
//        verticalAlignment: Text.AlignVCenter
//        horizontalAlignment: Text.AlignHCenter

//    }

}
