import QtQuick 2.4
import Components 1.0

// prompt user for ending the workout

ModalDialog {
    id: root

    property bool rpmPause: false

    blockKeys: true

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: 800
        height: 400
        source: "graphics/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: endPromptText
            x: 149
            y: 35
            width: 501
            color: "#ffffff"
            text: qsTr("WORKOUT PAUSED.") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 36
        }

        Text {
            id: helpText
            anchors.top: endPromptText.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            text: {
                if (isTreadmill) {
                    return qsTr("press START to resume or BACK to end workout") + application.emptyString
                } else if (rpmPause) {
                    return qsTr("Increase RPM or press START to resume") + application.emptyString
                } else {
                    return qsTr("press START to resume or BACK to end workout") + application.emptyString
                }
            }
            color: "#ffffff"
            font.bold: true
            font.pixelSize: 24
            width:700
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.AlignHCenter
        }

        Text { // show count down to timeout of prompt (started by startTimeout(seconds) method of ModalDialog superclass
            id: countdownText

            x: 350
            y: 168
            color: "#ffffff"

            // display count down (with a leading 0 if remaining seconds < 10
            text: ":" + ((countDown.toString().length < 2) ? "0" : "") + countDown
            font.bold: true
            font.pixelSize: 96

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 53
        }
    }
}
