import QtQuick 2.4
import Components 1.0

ListView {
    id: root

    property string totalValue: lumpValue()
    property bool listenKeys: false
    property int numberOfItems: 1
    signal exitedLeft()
    signal exitedRight()

    model: numberOfItems
    orientation: ListView.Horizontal

    Connections {
        target: main.isTft && root.visible && root.listenKeys ? keymapper : null

        onLeftButtonPressed: {
            if (root.currentIndex === 0){
                root.exitedLeft()
            } else {
                root.decrementCurrentIndex()
            }
        }

        onRightButtonPressed: {
            if (root.currentIndex === root.model - 1){
                root.exitedRight()
            } else {
                root.incrementCurrentIndex()
            }
        }
    }

    function lumpValue(){
        var str = ""
        for (var i = 0; i < contentItem.children.length; i++){
            var item = contentItem.children[i]
            if (item.printedValue){
                str = str + item.printedValue
            }
        }
        return str
    }
}
