import QtQuick 2.4

Item {
    id: root
    width: 400
    height: 62

    function warningText(isTread) {
        var text = ""

        if (isTread) {
            text += "&bull; " + qsTr("Straddle treadbelt before starting.") + "<br />" +
                    "&bull; " + qsTr("Read, understand, and test the emergency stop procedures before use.") + "<br />" +
                    "&bull; " + qsTr("ALWAYS ATTACH THE EMERGENCY STOP SAFETY CLIP TO CLOTHING PRIOR TO USE!") + "<br />" +
                    "&bull; " + qsTr("Prior to use, inspect safety clip cord to ensure it is free of tangles or knots, and that the red magnetic key will easily disengage from machine.") + "<br />" +
                    "&bull; " + qsTr("Use the (<b>-</b>) or (<b>+</b>) buttons to adjust SPEED at any time during workout.") + "<br />" +
                    "&bull; " + qsTr("Press STOP at any time during workout.") + application.emptyString

        }
        return text
    }
    Text {
        id: txtInstructions
        text: qsTr("INSTRUCTIONS") + ":" + application.emptyString
        color: "#ccf58c1f"
        font { pixelSize: 26; bold: true }
        anchors { top: parent.top; left: parent.left }
    }

    Text {
        id: txtHeader
        text: qsTr("Read and understand all the instructions and warnings prior to use") + application.emptyString
        color: "#4088c2"
        wrapMode: Text.WordWrap
        width: 400
        font { pixelSize: 12 }
        anchors { top: txtInstructions.bottom; left: parent.left }
    }

    Text {
        id: txtBulletList
        text: root.warningText(main.isTreadmill)
        color: "#000000"
        wrapMode: Text.WordWrap
        width: 400
        font { pixelSize: 12 }
        anchors { top: txtHeader.bottom; topMargin: 5; left: parent.left }
    }
}
