import QtQuick 2.4
import Components 1.0

// prompt user for ending the workout

ModalDialog {
    id: root

    signal resumeClicked()
    signal stopClicked()

    Connections{
        target:keymapper
        onStopPressed: if (root.visible) stopClicked()
        onStopPausePressed:if(root.visible)stopClicked()
        onStartQuickStartPressed: if(root.visible)resumeClicked()
        onStartPressed: if (root.visible) resumeClicked()
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: 800
        height: 350
        source: "graphics/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: endPromptText
            x: 149
            y: 35
            width: 501
            height: 99
            color: "#ffffff"
            text: qsTr("WOULD YOU LIKE TO END THIS WORKOUT?") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 40
        }

        ImageButton {
            id: stopButton

            x: 538
            y: 157
            label_y_offset: -65
            label: qsTr("STOP") + application.emptyString
            smooth: true
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 22
            upimage: "graphics/Small_Stop.png"
            downimage: "graphics/Small_Stop_Down.png"
            onClicked: stopClicked()
        }

        ImageButton {
            id: resumeButton

            x: 149
            y: 178
            label_y_offset: -65
            label: qsTr("RESUME") + application.emptyString
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 22
            upimage: "graphics/Small_Start.png"
            downimage: "graphics/Small_Start_Down.png"
            onClicked: resumeClicked()
        }

        Text { // show count down to timeout of prompt (started by startTimeout(seconds) method of ModalDialog superclass
            id: countdownText

            x: 350
            y: 168
            color: "#ffffff"
            visible: root.isCounting
            // display count down (with a leading 0 if remaining seconds < 10
            text: ":" + ((countDown.toString().length < 2) ? "0" : "") + countDown
            font.bold: true
            font.pixelSize: 96

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 73
        }
    }
}

