/* @file workout_menus.js
    @brief Definitions of the workout program menu for all machine types.
*
*   Each menu_xxx array definition is a menu.  Each entry may be
*    either another menu by defining the "nextmenu" property, or
*   a workout program by definining the "program" property to the corresponding xml filename.
*/

// ===== Program Images =====
var image_saved = "WF/WF_325_Saved_Workouts.png"
var image_tread_fitness_test_gerkin = "WF/WF_419_Fitness_Test_Gerkin.png"
var image_tread_fitness_test_army = "WF/WF_420_Fitness_Test_Army.png"
var image_tread_fitness_test_navy = "WF/WF_421_Fitness_Test_Navy.png"
var image_tread_fitness_test_airforce = "WF/WF_422_Fitness_Test_Air_Force.png"
var image_tread_fitness_test_marines = "WF/WF_423_Fitness_Test_Marines.png"
var image_tread_walkrun = "WF/WF_411_Walk_Run_Treadmill.png"
var image_tread_speed_ramp = "WF/WF_412_Speed_Ramp.png"
var image_tread_speed_intervals = "WF/WF_413_Speed_Intervals.png"
var image_tread_rolling_hills = "WF/WF_414_Rolling_Hills.png"
var image_tread_single_hill = "WF/WF_415_Single_Hill.png"
var image_tread_hill_intervals = "WF/WF_429_Hill_Intervals.png"
var image_tread_random_hills = "WF/WF_416_Random_Hills.png"
var image_tread_cardio_challange = "WF/WF_316_Cardio_Challenge.png"
var image_tread_distance = "WF/WF_327_Distance_Workout.png"
var image_tread_custom_speed = "WF/WF_321_Custom_Pace.png"
var image_tread_custom_hill = "WF/WF_322_Custom_Hills.png"
var image_tread_custom_ultra = "WF/WF_323_Custom_Ultra.png"
var image_tread_custom_hrc = "WF/WF_324_Custom_Hrc.png"
var image_tread_manual = "WF/WF_207_Manual_Workout.png"
var image_tread_hrc_target = "WF/WF_311_Target_Hrc.png"
var image_tread_hrc_weightloss = "WF/WF_310_Weight_Loss_Hrc.png"
var image_tread_hrc_aerobic = "WF/WF_313_Aerobic_Hrc.png"
var image_tread_hrc_aerobic_modesty = "WF/MaleOnly/WF_313_Aerobic_Hrc.png"
var image_tread_hrc_distance = "WF/WF_314_Distance_Hrc.png"
var image_tread_hrc_5k = "WF/WF_314_Distance_Hrc.png"
var image_tread_hrc_10k = "WF/WF_314_Distance_Hrc.png"
var image_tread_hrc_2mile = "WF/WF_314_Distance_Hrc.png"
var image_tread_hrc_4mile = "WF/WF_314_Distance_Hrc.png"
var image_tread_hrc_intervals = "WF/WF_315_Intervals_Hrc.png"
var image_hill_intervals = "WF/WF_429_Hill_Intervals.png"
var image_single_hill = "WF/WF_415_Single_Hill.png"
var image_rolling_hills = "WF/WF_414_Rolling_Hills.png"
var image_random_hills = "WF/WF_416_Random_Hills.png"
var image_pace_ramp = "WF/WF_412_Pace_Ramp.png"
var image_pace_intervals = "WF/WF_413_Pace_Intervals.png"
var image_walkrun_intervals = "WF/WF_411_Walk_Run.png"
var image_cardio_challange = "WF/WF_316_Cardio_Challenge.png"
var image_fitness_test = "WF/WF_320_Fitness_Test.png"
var image_distance_2mile = "WF/WF_327_Distance_Workout.png"
var image_distance_4mile = "WF/WF_327_Distance_Workout.png"
var image_distance_5k = "WF/WF_327_Distance_Workout.png"
var image_distance_10k = "WF/WF_327_Distance_Workout.png"
var image_hrc_target = "WF/WF_311_Target_Hrc.png"
var image_hrc_weightloss = "WF/WF_310_Weight_Loss_Hrc.png"
var image_hrc_aerobic = "WF/WF_313_Aerobic_Hrc.png"
var image_hrc_distance = "WF/WF_314_Distance_Hrc.png"
var image_hrc_5k = "WF/WF_314_Distance_Hrc.png"
var image_hrc_10k = "WF/WF_314_Distance_Hrc.png"
var image_hrc_2mile = "WF/WF_314_Distance_Hrc.png"
var image_hrc_4mile = "WF/WF_314_Distance_Hrc.png"
var image_hrc_intervals = "WF/WF_315_Intervals_Hrc.png"
var image_calorie_goal = "WF/WF_306_Calorie_Goal.png"
var image_glutebuster = "WF/WF_308_Glute_Buster.png"
var image_cardio360 = "WF/WF_319_Cardio_360.png"
var image_cardio360QS = "WF/WF_301_C360_Quick_Start.png"
var image_cardio360video = "WF/WF_302_C360_Video.png"
var image_cardio360arms = "WF/WF_303_C360_Arm_Sculptor.png"
var image_cardio360legs = "WF/WF_304_C360_Leg_Shaper.png"
var image_cardio360custom = "WF/WF_305_C360_Custom.png"
var image_custom_pace = "WF/WF_321_Custom_Pace.png"
var image_custom_hill = "WF/WF_322_Custom_Hills.png"
var image_custom_ultra = "WF/WF_323_Custom_Ultra.png"
var image_custom_hrc = "WF/WF_324_Custom_Hrc.png"
var image_manual = "WF/WF_207_Manual_Workout.png"
var image_legshaper = "WF/WF_309_Leg_Shaper.png"
var image_tread_calorie_goal = "WF/WF_301_Calorie_Goal.png"
var image_tread_glute_buster = "WF/WF_303_Glute_Buster.png"
var image_tread_leg_shaper = "WF/WF_304_Leg_Shaper.png"
var image_tread_weightloss_hills = "WF/WF_302_Weight_Loss_Hills.png"
// Modesty mode versions
var image_tread_manual_modesty = "WF/MaleOnly/WF_207_Manual_Workout.png"
var image_manual_modesty = "WF/MaleOnly/WF_207_Manual_Workout.png"
var image_tread_calorie_goal_modesty = "WF/MaleOnly/WF_301_Calorie_Goal.png"
var image_tread_weightloss_hills_modesty = "WF/MaleOnly/WF_302_Weight_Loss_Hills.png"
var image_tread_glute_buster_modesty = "WF/MaleOnly/WF_303_Glute_Buster.png"
var image_cardio360legs_modesty = "WF/MaleOnly/WF_304_C360_Leg_Shaper.png"
var image_tread_leg_shaper_modesty = "WF/MaleOnly/WF_304_Leg_Shaper.png"
var image_calorie_goal_modesty = "WF/MaleOnly/WF_306_Calorie_Goal.png"
var image_glutebuster_modesty = "WF/MaleOnly/WF_308_Glute_Buster.png"
var image_legshaper_modesty = "WF/MaleOnly/WF_309_Leg_Shaper.png"
var image_tread_hrc_weightloss_modesty = "WF/MaleOnly/WF_310_Weight_Loss_Hrc.png"
var image_hrc_weightloss_modesty = "WF/MaleOnly/WF_310_Weight_Loss_Hrc.png"
var image_fitness_test_modesty = "WF/MaleOnly/WF_320_Fitness_Test.png"
var image_tread_hrc_aerobic_modesty = "WF/MaleOnly/WF_313_Aerobic_Hrc.png"
var image_tread_hrc_aerobic_modesty_modesty = "WF/MaleOnly/MaleOnly/WF_313_Aerobic_Hrc.png"
var image_hrc_aerobic_modesty = "WF/MaleOnly/WF_313_Aerobic_Hrc.png"
var image_tread_hrc_intervals_modesty = "WF/MaleOnly/WF_315_Intervals_Hrc.png"
var image_hrc_intervals_modesty = "WF/MaleOnly/WF_315_Intervals_Hrc.png"
var image_tread_cardio_challange_modesty = "WF/MaleOnly/WF_316_Cardio_Challenge.png"
var image_cardio_challange_modesty = "WF/MaleOnly/WF_316_Cardio_Challenge.png"
var image_cardio360_modesty = "WF/MaleOnly/WF_319_Cardio_360.png"
var image_tread_custom_speed_modesty = "WF/MaleOnly/WF_321_Custom_Pace.png"
var image_custom_pace_modesty = "WF/MaleOnly/WF_321_Custom_Pace.png"
var image_tread_custom_hill_modesty = "WF/MaleOnly/WF_322_Custom_Hills.png"
var image_custom_hill_modesty = "WF/MaleOnly/WF_322_Custom_Hills.png"
var image_tread_custom_ultra_modesty = "WF/MaleOnly/WF_323_Custom_Ultra.png"
var image_custom_ultra_modesty = "WF/MaleOnly/WF_323_Custom_Ultra.png"
var image_saved_modesty = "WF/MaleOnly/WF_325_Saved_Workouts.png"
var image_walkrun_intervals_modesty = "WF/MaleOnly/WF_411_Walk_Run.png"
var image_tread_walkrun_modesty = "WF/MaleOnly/WF_411_Walk_Run_Treadmill.png"
var image_pace_ramp_modesty = "WF/MaleOnly/WF_412_Pace_Ramp.png"
var image_tread_speed_ramp_modesty = "WF/MaleOnly/WF_412_Speed_Ramp.png"
var image_pace_intervals_modesty = "WF/MaleOnly/WF_413_Pace_Intervals.png"
var image_tread_speed_intervals_modesty = "WF/MaleOnly/WF_413_Speed_Intervals.png"
var image_tread_single_hill_modesty = "WF/MaleOnly/WF_415_Single_Hill.png"
var image_single_hill_modesty = "WF/MaleOnly/WF_415_Single_Hill.png"
var image_tread_fitness_test_gerkin_modesty = "WF/MaleOnly/WF_419_Fitness_Test_Gerkin.png"
var image_tread_fitness_test_army_modesty = "WF/MaleOnly/WF_420_Fitness_Test_Army.png"
var image_tread_fitness_test_navy_modesty = "WF/MaleOnly/WF_421_Fitness_Test_Navy.png"
var image_tread_fitness_test_airforce_modesty = "WF/MaleOnly/WF_422_Fitness_Test_Air_Force.png"
var image_tread_fitness_test_marines_modesty = "WF/MaleOnly/WF_423_Fitness_Test_Marines.png"

// ===== Button Descriptions =====
var desc_back_button = QT_TRANSLATE_NOOP("Menu", "Return to previous menu")
var desc_show_all_workouts_button = QT_TRANSLATE_NOOP("Menu", "If you are looking for a specific workout, this is a listing of all available workouts for easy navigation.")


// ==== Buttons ====
var show_all_workouts_button = {
    "label": QT_TRANSLATE_NOOP("Menu", "SHOW ALL\nWORKOUTS"),
    "desc": desc_show_all_workouts_button,
    "icon": "tft/nav_icon_SHOWALL.png",
    "image": "tft/WF_show_all_workouts.png",
    "action": "show_all_workouts"
};

var back_button = {
    "label": QT_TRANSLATE_NOOP("Menu", "Back"),
    "desc": desc_back_button,
    "icon": "tft/nav_icon_BACK.png",
    "image": "WF/WF_window_back_nav.png",
    "modestyImage": "WF/MaleOnly/WF_image_BACK_15inTFT.png",
    "action": "back"
};

// ====== Top Level Menu Descriptions ======
var desc_menu_weightloss = QT_TRANSLATE_NOOP("Menu", "If weight loss is your primary goal, this button will quickly get you to an ideal workout.")
var desc_menu_hrc = QT_TRANSLATE_NOOP("Menu", "Let your heart guide you to your workout goal while the machine does all the adjusting for you.")
var desc_menu_performance = QT_TRANSLATE_NOOP("Menu", "Challenging workout options for those that are already cardio-fit." )
var desc_menu_custom = QT_TRANSLATE_NOOP("Menu", "Allows you to set up your own interval workout or create a totally custom workout." )

// ====== Common Workout Descriptions ======
var desc_prog_manual = QT_TRANSLATE_NOOP("Menu", "Set up your own workout to a TIME or DISTANCE limit.")
var desc_prog_distance = QT_TRANSLATE_NOOP("Menu", "Choose any one of our 4 common distance workouts - 5k, 10k, 2 mile or 4 mile.")
var desc_prog_stride_5k = QT_TRANSLATE_NOOP("Menu", "Challenge yourself to a 5k distance workout! Choose your intensity level and the workout ends when you reach 5 kilometers (3.1 miles).")
var saved_workouts_desc = QT_TRANSLATE_NOOP("Menu", "Access to previously saved workouts.")
var prog_saved = { label: QT_TRANSLATE_NOOP("Menu", "SAVED WORKOUTS"),   desc: saved_workouts_desc, program: "SAVED_WORKOUTS",  icon: "tft/nav_icon_SAVED.png", image: image_saved, modestyImage: image_saved_modesty }

// ====== Treadmill Menus ======
// ----- Treadmill Fitness Tests -----
var tread_fitness_test_gerkin_desc = QT_TRANSLATE_NOOP("Menu", "A fitness test used to estimate your VO2 max.  The test increases speed and incline gradually every minute and ends at the point where your heart rate reaches 85% of the maximum for your age.")
var tread_fitness_test_army_desc = QT_TRANSLATE_NOOP("Menu", "A 2-mile running test measured against age and gender calculations.")
var tread_fitness_test_navy_desc = QT_TRANSLATE_NOOP("Menu", "A 2-mile running test measured against age and gender calculations.")
var tread_fitness_test_airforce_desc = QT_TRANSLATE_NOOP("Menu", "A 1.5-mile running test measured against age and gender calculations.")
var tread_fitness_test_marines_desc = QT_TRANSLATE_NOOP("Menu", "A 3-mile running test measured against age and gender calculations.")

var prog_tread_fitness_test_gerkin = { label: QT_TRANSLATE_NOOP("Menu", "Gerkin Fitness Test"), program: "Tread_Gerkin_Test.xml", desc: tread_fitness_test_gerkin_desc, icon: "WF/WF_Button_Gerkin_Fitness.png", image: image_tread_fitness_test_gerkin, modestyImage: image_tread_fitness_test_gerkin_modesty }
var prog_tread_fitness_test_army = { label: QT_TRANSLATE_NOOP("Menu", "Army Fitness Test"), program: "Tread_Army_Military_Fitness_Test.xml", desc: tread_fitness_test_army_desc, icon: "WF/WF_Button_Army_Fitness.png", image: image_tread_fitness_test_army, modestyImage: image_tread_fitness_test_army_modesty }
var prog_tread_fitness_test_navy = { label: QT_TRANSLATE_NOOP("Menu", "Navy Fitness Test"), program: "Tread_Navy_Military_Fitness_Test.xml", desc: tread_fitness_test_navy_desc, icon: "WF/WF_Button_Navy_Fitness.png", image: image_tread_fitness_test_navy, modestyImage: image_tread_fitness_test_navy_modesty }
var prog_tread_fitness_test_airforce = { label: QT_TRANSLATE_NOOP("Menu", "Air Force Fitness Test"), program: "Tread_Air_Force_Military_Fitness_Test.xml", desc: tread_fitness_test_airforce_desc, icon: "WF/WF_Button_AirForce_Fitness.png", image: image_tread_fitness_test_airforce, modestyImage: image_tread_fitness_test_airforce_modesty }
var prog_tread_fitness_test_marines = { label: QT_TRANSLATE_NOOP("Menu", "Marines Fitness Test"), program: "Tread_Marines_Military_Fitness_Test.xml", desc: tread_fitness_test_marines_desc, icon: "WF/WF_Button_Marines_Fitness.png", image: image_tread_fitness_test_marines, modestyImage: image_tread_fitness_test_marines_modesty }

var tread_fitness_tests_menu_desc = QT_TRANSLATE_NOOP("Menu", "Choose one of 5 different workouts to assess your cardio fitness.  The Gerkin Fitness Test measures approximate VO2 MAX.  All 4 U.S. military tests are also available.")

// ------ Treadmill Speed Workouts ------
var tread_walkrun_desc = QT_TRANSLATE_NOOP("Menu", "Zero-incline WALKING or RUNNING intervals are in varying 1-minute segments.  Incline changes are permanent; speed changes affect the current 1-minute segment only.")
var tread_speed_ramp_desc = QT_TRANSLATE_NOOP("Menu", "Speed increases to a maximum at the mid-point of the workout, then decreases to the finish.  Speed changes affect the current segment only.  Incline changes are permanent.")
var tread_speed_intervals_desc = QT_TRANSLATE_NOOP("Menu", "Zero-incline walking or running intervals are in 1-minute segments.  Incline changes are permanent; speed changes affect the current 1-minute segment only.")

var prog_tread_walkrun  = { label: QT_TRANSLATE_NOOP("Menu", "Walk & Run Intervals"), program: "Tread_Walk_And_Run.xml", desc: tread_walkrun_desc, icon: "WF/WF_Button_Walk_Run.png", image: image_tread_walkrun, modestyImage: image_tread_walkrun_modesty }
var prog_tread_speed_ramp = { label: QT_TRANSLATE_NOOP("Menu", "Speed Ramp"), program: "Tread_Speed_Ramp.xml", desc: tread_speed_ramp_desc, icon: "WF/WF_Button_Speed_Workouts.png", image: image_tread_speed_ramp, modestyImage: image_tread_speed_ramp_modesty }
var prog_tread_speed_intervals = { label: QT_TRANSLATE_NOOP("Menu", "Speed Intervals"), program: "Tread_Speed_Intervals.xml", desc: tread_speed_intervals_desc, icon: "WF/WF_Button_Speed_Workouts.png", image: image_tread_speed_intervals, modestyImage: image_tread_speed_intervals_modesty }

// ------ Treadmill Weightloss ------
var tread_calorie_goal_desc = QT_TRANSLATE_NOOP("Menu", "This workout allows you to choose the number of calories you wish to burn within a specified workout time.  The treadmill will control speed and incline within the limits you set to attain this goal.")
var tread_weightloss_hills_desc = QT_TRANSLATE_NOOP("Menu", "2-minute WALKING interval segments with incline alternating between hills and a nearly flat landscape. SPEED changes are permanent; INCLINE changes affect the current 2-minute segment only.")
var tread_glute_buster_desc = QT_TRANSLATE_NOOP("Menu", "A changing incline profile focuses on intense glute muscle use.")
var tread_leg_shaper_desc = QT_TRANSLATE_NOOP("Menu", "A workout with speed changes to work the leg muscles with added intensity.")
var tread_weightloss_hrc_desc = QT_TRANSLATE_NOOP("Menu", "Based on age, this is a heart rate controlled workout at 65% of your maximum heart rate. This creates efficient fat burning without overtraining. The treadmill begins in MANUAL control - gradually increase your work level until heart rate is within 10 bpm of the target. At this point, the treadmill takes over to control speed and incline to maintain your HR within a few beats of the target.")

var prog_tread_calorie_goal = { label: QT_TRANSLATE_NOOP("Menu", "CALORIE GOAL"),   desc: tread_calorie_goal_desc,  program: "Tread_Calorie_Goal.xml",  icon: "tft/nav_icon_CALORIEGOAL.png", image: "WF/WF_301_Calorie_Goal.png", modestyImage: "WF/MaleOnly/WF_301_Calorie_Goal.png" }
var prog_tread_weightloss_hills = { label: QT_TRANSLATE_NOOP("Menu", "WEIGHT LOSS HILLS"),   desc: tread_weightloss_hills_desc,  program: "Tread_Weight_Loss_Hills.xml",  icon: "tft/nav_icon_SINGLEHILL.png", image: "WF/WF_302_Weight_Loss_Hills.png", modestyImage: "WF/MaleOnly/WF_302_Weight_Loss_Hills.png" }
var prog_tread_glute_buster = { label: QT_TRANSLATE_NOOP("Menu", "GLUTE BUSTER"),   desc: tread_glute_buster_desc,  program: "Tread_Glute_Buster.xml",  icon: "tft/nav_icon_GUTEBUSTER.png", image: "WF/WF_303_Glute_Buster.png", modestyImage: "WF/MaleOnly/WF_303_Glute_Buster.png" }
var prog_tread_leg_shaper = { label: QT_TRANSLATE_NOOP("Menu", "LEG SHAPER"),   desc: tread_leg_shaper_desc,  program: "Tread_Leg_Shaper.xml",  icon: "tft/nav_icon_LEGSHAPER.png", image: "WF/WF_304_Leg_Shaper.png", modestyImage: "WF/MaleOnly/WF_304_Leg_Shaper.png" }
var prog_tread_weightloss_hrc = { label: QT_TRANSLATE_NOOP("Menu", "WEIGHT LOSS"),   desc: tread_weightloss_hrc_desc,  program: "Tread_HRC_Weight_Loss.xml",  icon: "tft/nav_icon_HRC.png", image: "WF/WF_305_307_Weight_Loss_Hrc.png", modestyImage: "WF/MaleOnly/WF_305_307_Weight_Loss_Hrc.png" }

var menu_tread_weightloss = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "WEIGHT LOSS WORKOUTS"), desc: desc_menu_weightloss,
        icon: "tft/nav_icon_WL.png", navicon: "navbar/Navigation_WL", image: "WF/WF_203_Weight_Loss_Workout.png", modestyImage: "WF/MaleOnly/WF_203_Weight_Loss_Workout.png",
        children: [
            back_button,
            prog_tread_calorie_goal,
            prog_tread_weightloss_hills,
            prog_tread_glute_buster,
            prog_tread_leg_shaper,
            prog_tread_weightloss_hrc
        ]
    }
}

// ----- Tread Hill Workouts -----
var tread_rolling_hills_desc = QT_TRANSLATE_NOOP("Menu", "A series of gradual increasing and decreasing INCLINE changes that simulate rolling hills. Adjust your LEVEL at any time during the workout to increase or decrease intensity of the hills.")
var tread_single_hill_desc = QT_TRANSLATE_NOOP("Menu",  "INCLINE increases to a maximum at the midpoint of the workout, then decreases to the finish.  INCLINE changes affect the current segment only.  Speed changes are permanent.")
var tread_hill_intervals_desc = QT_TRANSLATE_NOOP("Menu",  "Hill Intervals are in 2-minute segments with the speed remaining constant.  Speed changes are permenent; incline changes affect the current 2-minute segment only.")
var tread_random_hills_desc = QT_TRANSLATE_NOOP("Menu", "A random profile of INCLINE changes that simulate random hills.  Adjust your LEVEL at any time during the workout to increase or decrease intensity of the hills.")

var prog_tread_rolling_hills = { label: QT_TRANSLATE_NOOP("Menu", "ROLLING HILLS"),  desc: tread_rolling_hills_desc, icon: "tft/nav_icon_ROLLINGHILLS.png", program: "Tread_Rolling_Hills.xml", image: image_tread_rolling_hills }
var prog_tread_single_hill = { label: QT_TRANSLATE_NOOP("Menu", "SINGLE HILL"), desc: tread_single_hill_desc,  icon: "tft/nav_icon_SINGLEHILL.png", program: "Tread_Single_Hill.xml", image: image_tread_single_hill, modestyImage: image_tread_single_hill_modesty }
var prog_tread_hill_intervals = { label: QT_TRANSLATE_NOOP("Menu", "HILL INTERVALS"), desc: tread_hill_intervals_desc, icon: "tft/nav_icon_HILLINTERVALS.png", program: "Tread_Hill_Intervals.xml", image: image_tread_hill_intervals }
var prog_tread_random_hills = { label: QT_TRANSLATE_NOOP("Menu", "RANDOM HILLS"), desc: tread_random_hills_desc, icon: "tft/nav_icon_RANDOMHILLS.png", program: "Tread_Random_Hills.xml", image: image_tread_random_hills }

// ----- Tread PERFORMANCE Programs -----
var desc_prog_tread_cardio_challenge = QT_TRANSLATE_NOOP("Menu", "Speed and incline increase to a maximum at the mid-point of the workout, then decrease to the finish.  Incline and speed changes affect the current segment only.")

var prog_tread_cardio_challange = { label: QT_TRANSLATE_NOOP("Menu", "CARDIO CHALLENGE"), desc: desc_prog_tread_cardio_challenge,  program: "Tread_Cardio_Challenge.xml", icon: "tft/nav_icon_CARDIOCHALLENGE.png", image: image_tread_cardio_challange, modestyImage: image_tread_cardio_challange_modesty }
var prog_tread_distance = { label: QT_TRANSLATE_NOOP("Menu", "Distance"), desc: desc_prog_distance, program: "Tread_Distance.xml", icon: "WF/WF_Button_Distance_Workouts.png", image: image_tread_distance }

var menu_tread_performance = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "PERFORMANCE\nWORKOUTS"), desc: desc_menu_performance,
        icon: "tft/nav_icon_PERFORM.png", navicon: "navbar/Navigation_Performance", image: "WF/WF_205_Performance.png",
        children: [
            back_button,
            prog_tread_cardio_challange,
            prog_tread_walkrun,
            prog_tread_speed_ramp,
            prog_tread_speed_intervals,
            prog_tread_rolling_hills,
            prog_tread_single_hill,
            prog_tread_hill_intervals,
            //          prog_tread_random_hills,
            prog_tread_distance,
            prog_tread_fitness_test_gerkin,
            prog_tread_fitness_test_army,
            prog_tread_fitness_test_navy,
            prog_tread_fitness_test_airforce,
            prog_tread_fitness_test_marines,
            //          back_button,
        ]
    }
};

// ----- Tread CUSTOM Programs
var desc_prog_tread_custom_speed= QT_TRANSLATE_NOOP("Menu", "Set up your own speed intervals.  Up to 30 easy to adjust segments allow you to customize any speed profile.")
var desc_prog_tread_custom_hill = QT_TRANSLATE_NOOP("Menu", "Build your own HILL profile using up to 30 segments.  User friendly setup screens allow you to create any hill or incline profile.")
var desc_prog_tread_custom_ultra = QT_TRANSLATE_NOOP("Menu", "Do you have trouble finding a workout that fits your specific needs?  Try setting up your own!  This completely customizable workout setup allows both SPEED and INCLINE control of up to 30 segments.")
var desc_prog_tread_custom_hrc = QT_TRANSLATE_NOOP("Menu", "Set up your own heart rate intervals.  Specify WORK and REST targets and let the machine make all the adjustments." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")

var prog_tread_custom_speed = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM SPEED"),   desc: desc_prog_tread_custom_speed, program: "Tread_Custom_Speed.xml",  icon: "tft/nav_icon_PACE.png", image: image_tread_custom_speed, modestyImage: image_tread_custom_speed_modesty }
var prog_tread_custom_hill = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM HILL"),   desc: desc_prog_tread_custom_hill, program: "Tread_Custom_Hills.xml",  icon: "tft/nav_icon_SINGLEHILL.png", image: image_tread_custom_hill, modestyImage: image_tread_custom_hill_modesty }
var prog_tread_custom_ultra = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM ULTRA"),   desc: desc_prog_tread_custom_ultra, program: "Tread_Custom_Ultra.xml",  icon: "tft/nav_icon_CUSTOM.png", image: image_tread_custom_ultra, modestyImage: image_tread_custom_ultra_modesty }
var prog_tread_custom_hrc = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM HRC INTERVALS"),   desc: desc_prog_tread_custom_hrc, program: "Tread_Custom_HRC_Intervals.xml",  icon: "tft/nav_icon_HRC.png", image: image_tread_custom_hrc }

var prog_tread_manual = { label: QT_TRANSLATE_NOOP("Menu", "MANUAL WORKOUT"),   desc: desc_prog_manual, program: "Tread_Manual.xml", icon: "tft/nav_icon_MANUAL.png", image: image_tread_manual, modestyImage: image_tread_manual_modesty }

var menu_tread_custom = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "CUSTOM\nWORKOUTS"), desc: desc_menu_custom,
        icon: "tft/nav_icon_CUSTOM.png", navicon: "navbar/Navigation_Custom", image: "WF/WF_206_Custom_Workouts.png", modestyImage: "WF/MaleOnly/WF_206_Custom_Workouts.png",
        children: [
            back_button,
            prog_tread_custom_speed,
            prog_tread_custom_hill,
            prog_tread_custom_ultra,
            prog_tread_custom_hrc,
            prog_saved
        ]
    }
}

// ----- Tread HRC Programs -----
var desc_prog_tread_hrc_target = QT_TRANSLATE_NOOP("Menu", "Choose your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var desc_prog_tread_hrc_weightloss = QT_TRANSLATE_NOOP("Menu", "Based on age, this is a heart rate controlled workout at 65% of your maximum heart rate.  This creates efficient fat burning without overtraining." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var desc_prog_tread_hrc_aerobic = QT_TRANSLATE_NOOP("Menu", "Based on age, this is a heart rate controlled workout at 80% of your maximum heart rate. This keeps you in the optimum aerobic training range to improve cardio fitness." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var desc_prog_tread_hrc_distance = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")

var desc_prog_tread_hrc_distance_5k = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var desc_prog_tread_hrc_distance_10k = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var desc_prog_tread_hrc_distance_2mile = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var desc_prog_tread_hrc_distance_4mile = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")

var desc_prog_tread_hrc_intervals = QT_TRANSLATE_NOOP("Menu","Intervals of WORK and REST determined by target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target." + "  " + "The rest segment will reduce to 65% intensity of work segment.")

var prog_tread_hrc_target = { label: QT_TRANSLATE_NOOP("Menu", "TARGET"),  desc: desc_prog_tread_hrc_target, program: "Tread_HRC_Target.xml", icon: "tft/nav_icon_HRC.png", image: image_tread_hrc_target }
var prog_tread_hrc_weightloss = { label: QT_TRANSLATE_NOOP("Menu", "WEIGHT LOSS"), desc: desc_prog_tread_hrc_weightloss, program: "Tread_HRC_Weight_Loss.xml", icon: "tft/nav_icon_HRC.png", image: image_tread_hrc_weightloss, modestyImage: image_tread_hrc_weightloss_modesty  }
var prog_tread_hrc_aerobic = { label: QT_TRANSLATE_NOOP("Menu", "AEROBIC"),  desc: desc_prog_tread_hrc_aerobic, program: "Tread_HRC_Aerobic.xml", icon: "tft/nav_icon_HRC.png", image: image_tread_hrc_aerobic, modestyImage: image_tread_hrc_aerobic_modesty }
var prog_tread_hrc_distance = { label: QT_TRANSLATE_NOOP("Menu", "DISTANCE"), desc: desc_prog_tread_hrc_distance, program: "Tread_HRC_Distance.xml", icon: "tft/nav_icon_HRC.png", image: image_tread_hrc_distance }

var prog_tread_hrc_5k = {label: QT_TRANSLATE_NOOP("Menu", "HRC 5k"), desc: desc_prog_tread_hrc_distance_5k, program: "Tread_HRC_Distance5k.xml", icon: "WF/WF_Button_HRC.png", image: "WF/WF_314_Distance_Hrc.png"}
var prog_tread_hrc_10k = {label: QT_TRANSLATE_NOOP("Menu", "HRC 10k"), desc: desc_prog_tread_hrc_distance_10k, program: "Tread_HRC_Distance10k.xml", icon: "WF/WF_Button_HRC.png", image: "WF/WF_314_Distance_Hrc.png"}
var prog_tread_hrc_2mile = {label: QT_TRANSLATE_NOOP("Menu", "HRC 2 Mile"), desc: desc_prog_tread_hrc_distance_2mile, program: "Tread_HRC_Distance2mi.xml", icon: "WF/WF_Button_HRC.png", image: "WF/WF_314_Distance_Hrc.png"}
var prog_tread_hrc_4mile = {label: QT_TRANSLATE_NOOP("Menu", "HRC 4 Mile"), desc: desc_prog_tread_hrc_distance_4mile, program: "Tread_HRC_Distance4mi.xml", icon: "WF/WF_Button_HRC.png", image: "WF/WF_314_Distance_Hrc.png"}

var prog_tread_hrc_intervals = { label: QT_TRANSLATE_NOOP("Menu", "INTERVALS"), desc: desc_prog_tread_hrc_intervals, program: "Tread_HRC_Intervals.xml", icon: "tft/nav_icon_HRC.png", image: image_tread_hrc_intervals, modestyImage: image_tread_hrc_intervals_modesty }

var menu_tread_HRC = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "HRC\nWORKOUTS"), desc: desc_menu_hrc,
        icon: "tft/nav_icon_HRC.png", navicon: "navbar/Navigation_HRC", image: "WF/WF_204_Hrc_Workouts.png", modestyImage: "WF/MaleOnly/WF_204_Hrc_Workouts.png",
        children: [
            back_button,
            prog_tread_hrc_target,
            prog_tread_hrc_weightloss,
            prog_tread_hrc_aerobic,
            prog_tread_hrc_distance,
            prog_tread_hrc_intervals
        ]
    }
}

var menu_tread_top  = function() {
    return {
        desc: "workout finder", navicon: "navbar/Navigation_WF",
        children: [
            back_button,
            menu_tread_weightloss(),
            menu_tread_HRC(),
            menu_tread_performance(),
            menu_tread_custom(),
            prog_tread_manual,
            show_all_workouts_button
        ]
    }
};

var menu_tread_all = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "All Programs"),
        navicon: "navbar/Navigation_All_Presets",
        children: [
            prog_tread_manual,
            prog_tread_hrc_target,
            prog_tread_hrc_weightloss,
            prog_tread_hrc_aerobic,
            prog_tread_hrc_5k,
            prog_tread_hrc_10k,
            prog_tread_hrc_2mile,
            prog_tread_hrc_4mile,
            prog_tread_hrc_intervals,
            //prog_hrc_rx,
            prog_tread_calorie_goal,
            prog_tread_weightloss_hills,
            prog_tread_glute_buster,
            prog_tread_leg_shaper,
            //            prog_tread_random_hills,
            prog_tread_rolling_hills,
            prog_tread_single_hill,
            prog_tread_hill_intervals,
            prog_tread_walkrun,
            prog_tread_speed_intervals,
            prog_tread_speed_ramp,
            prog_tread_cardio_challange,
            prog_tread_distance,
            //prog_tread_distace_5k,
            //prog_tread_distance_10k,
            //prog_tread_distance_2mile,
            //prog_tread_distance_4mile,
            prog_tread_fitness_test_gerkin,
            prog_tread_fitness_test_army,
            prog_tread_fitness_test_navy,
            prog_tread_fitness_test_airforce,
            prog_tread_fitness_test_marines,
            prog_tread_custom_speed,
            prog_tread_custom_hill,
            prog_tread_custom_ultra
        ]
    }
}

// ===== HILL Programs =====
var hill_workouts_desc = QT_TRANSLATE_NOOP("Menu", "A choice of workouts that use WORKLOAD changes to simulate hills. A great way to change up your cardio workout.")

var hill_intervals_desc = QT_TRANSLATE_NOOP("Menu",  "Hill intervals are in 2-minute segments with increased WORKLOAD to simulate hills.")
var single_hill_desc = QT_TRANSLATE_NOOP("Menu",  "WORKLOAD increases to a maximum at the midpoint of the workout, then decreases to the finish to simulate one big hill.")
var rolling_hills_desc = QT_TRANSLATE_NOOP("Menu", "A series of increasing and decreasing WORKLOAD changes that simulate rolling hills. Adjust your LEVEL at any time during the workout to increase or decrease intensity of the hills.")
var random_hills_desc = QT_TRANSLATE_NOOP("Menu", "A random profile of WORKLOAD changes that simulate random hills.  Adjust your LEVEL at any time during the workout to increase or decrease intensity of the hills.")

var prog_hill_intervals = { label: QT_TRANSLATE_NOOP("Menu", "HILL INTERVALS"), program: "Hill_Intervals.xml", desc: hill_intervals_desc, icon: "tft/nav_icon_HILLINTERVALS.png", image: image_hill_intervals }
var prog_single_hill = { label: QT_TRANSLATE_NOOP("Menu", "SINGLE HILL"), desc: single_hill_desc,  icon: "tft/nav_icon_SINGLEHILL.png", program: "Single_Hill.xml", image: image_single_hill, modestyImage: image_single_hill_modesty }
var prog_rolling_hills = { label: QT_TRANSLATE_NOOP("Menu", "ROLLING HILLS"),  desc: rolling_hills_desc, icon: "tft/nav_icon_ROLLINGHILLS.png", program: "Rolling_Hills.xml", image: image_rolling_hills }
var prog_random_hills = { label: QT_TRANSLATE_NOOP("Menu", "RANDOM HILLS"), program: "Random_Hills.xml",  desc: random_hills_desc, icon: "tft/nav_icon_RANDOMHILLS.png", image: image_random_hills }

// ===== PACE Programs =====
var pace_ramp_desc = QT_TRANSLATE_NOOP("Menu", "This workout suggests PACE (RPM) increases to a maximum at the mid-point of the workout, then decreases to the finish. The PACE SETTER shows your target pace throughout the workout.")
var pace_intervals_desc = QT_TRANSLATE_NOOP("Menu", "This workout suggests PACE (RPM) intervals in 1-minute segments. The PACE SETTER shows the target pace along with your actual pace (RPM) throughout the workout.")
var walkrun_desc = QT_TRANSLATE_NOOP("Menu", "This workout uses PACE SETTER to suggest walking then running intervals in 1-minute segments.  WORKLOAD can be adjusted throughout workout.")

var prog_pace_ramp = { label: QT_TRANSLATE_NOOP("Menu", "PACE RAMP"),  desc:pace_ramp_desc, icon: "tft/nav_icon_PACE.png", program: "Pace_Ramp.xml", image: image_pace_ramp, modestyImage: image_pace_ramp_modesty}
var prog_pace_intervals = { label: QT_TRANSLATE_NOOP("Menu", "PACE INTERVALS"), desc: pace_intervals_desc,  icon: "tft/nav_icon_PACE.png", program: "Pace_Intervals.xml", image: image_pace_intervals, modestyImage: image_pace_intervals_modesty}
var prog_walkrun_intervals = { label: QT_TRANSLATE_NOOP("Menu", "WALK&RUN INTERVALS"), desc:walkrun_desc, icon: "tft/nav_icon_PACE.png", program: "Walk_And_Run.xml", image: image_walkrun_intervals, modestyImage: image_walkrun_intervals_modesty }

// ====== PERFORMANCE Programs =======
var cardio_challenge_desc = QT_TRANSLATE_NOOP("Menu", "WORKLOAD and suggested PACE (RPM) increase to a maximum at the mid-point of the workout, then decrease to the finish.")
var pace_workouts_desc = QT_TRANSLATE_NOOP("Menu", "A choice of workouts that use PACE (RPM) suggestions to add variety to your cardio session.")
//var upper_body_desc = QT_TRANSLATE_NOOP("Menu", "An intense 10 minute workout that focuses on the upper body.")
var fitness_test_desc = QT_TRANSLATE_NOOP("Menu", "A fitness test used to estimate your VO2 max.")
var desc_prog_stride_intervals = QT_TRANSLATE_NOOP("Menu", "Set your own alternating WORK and REST stride length segments. Choose from short stepping to long striding motion, or anything in between. Intervals are 1 minute.")

var prog_cardio_challange = { label: QT_TRANSLATE_NOOP("Menu", "CARDIO CHALLENGE"), desc: cardio_challenge_desc,  program: "Cardio_Challenge.xml", icon: "tft/nav_icon_CARDIOCHALLENGE.png", image: image_cardio_challange, modestyImage: image_cardio_challange_modesty }
//var prog_upper_body = { label: QT_TRANSLATE_NOOP("Menu", "Upper Body"),   desc: upper_body_desc, icon: "tft/nav_icon_PERFORM.png" }
var prog_fitness_test = { label: QT_TRANSLATE_NOOP("Menu", "FITNESS TEST"), desc: fitness_test_desc,  program: "Fitness_Test.xml", icon: "tft/nav_icon_FITNESSTEST.png", image: image_fitness_test, modestyImage: image_fitness_test_modesty }
var prog_stride_intervals = { label: QT_TRANSLATE_NOOP("Menu", "Stride Intervals"), desc: desc_prog_stride_intervals, program: "Stride_Intervals.xml", icon: "WF/WF_Button_Walk_Run.png", image: "WF/WF_340_Stride_Intervals.png" }
var prog_distance_2mile = { label: QT_TRANSLATE_NOOP("Menu", "Distance 2 Mile"), desc: desc_prog_distance, program: "Distance2mi.xml", icon: "tft/nav_icon_PERFORM.png", image: image_distance_2mile }
var prog_distance_4mile = { label: QT_TRANSLATE_NOOP("Menu", "Distance 4 Mile"), desc: desc_prog_distance, program: "Distance4mi.xml", icon: "tft/nav_icon_PERFORM.png", image: image_distance_4mile }
var prog_distance_5k = { label: QT_TRANSLATE_NOOP("Menu", "Distance 5K"), desc: desc_prog_distance, program: "Distance5k.xml", icon: "tft/nav_icon_PERFORM.png", image: image_distance_5k }
var prog_distance_10k = { label: QT_TRANSLATE_NOOP("Menu", "Distance 10K"), desc: desc_prog_distance, program: "Distance10k.xml", icon: "tft/nav_icon_PERFORM.png", image: image_distance_10k }
var prog_stride_5k = { label: QT_TRANSLATE_NOOP("Menu", "Distance 5K"), desc: desc_prog_stride_5k, program: "Stride_Distance5k.xml", icon: "WF/WF_Button_Performance.png", image: "WF/WF_327_Distance_Workout.png" }


// ====== HRC Programs ======
var hrc_target_desc = QT_TRANSLATE_NOOP("Menu", "Choose your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var hrc_weightloss_desc = QT_TRANSLATE_NOOP("Menu", "Based on age, this is a heart rate controlled workout at 65% of your maximum heart rate.  This creates efficient fat burning without overtraining." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var hrc_aerobic_desc = QT_TRANSLATE_NOOP("Menu", "Based on age, this is a heart rate controlled workout at 80% of your maximum heart rate. This keeps you in the optimum aerobic training range to improve cardio fitness." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var hrc_distance_desc = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")

var hrc_distance_5k_desc = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var hrc_distance_10k_desc = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var hrc_distance_2mile_desc = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")
var hrc_distance_4mile_desc = QT_TRANSLATE_NOOP("Menu","4 popular fixed distance workouts that puts the machine in control of maintaining your target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")

var hrc_intervals_desc = QT_TRANSLATE_NOOP("Menu","Intervals of WORK and REST determined by target heart rate." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target." + "  " + "The rest segment will reduce to 65% intensity of work segment.")

var prog_hrc_target = { label: QT_TRANSLATE_NOOP("Menu", "TARGET"),  desc: hrc_target_desc, program: "HRC_Target.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_target }
var prog_hrc_weightloss = { label: QT_TRANSLATE_NOOP("Menu", "WEIGHT LOSS"), desc: hrc_weightloss_desc, program: "HRC_Weight_Loss.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_weightloss, modestyImage: image_hrc_weightloss_modesty  }
var prog_hrc_aerobic = { label: QT_TRANSLATE_NOOP("Menu", "AEROBIC"),  desc: hrc_aerobic_desc, program: "HRC_Aerobic.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_aerobic, modestyImage: image_hrc_aerobic_modesty }
var prog_hrc_distance = { label: QT_TRANSLATE_NOOP("Menu", "DISTANCE"), desc: hrc_distance_desc, program: "HRC_Distance.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_distance }

var prog_hrc_5k = {label: QT_TRANSLATE_NOOP("Menu", "HRC 5k"), desc: hrc_distance_5k_desc, program: "HRC_Distance.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_5k}
var prog_hrc_10k = {label: QT_TRANSLATE_NOOP("Menu", "HRC 10k"), desc: hrc_distance_10k_desc, program: "HRC_Distance.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_10k}
var prog_hrc_2mile = {label: QT_TRANSLATE_NOOP("Menu", "HRC 2 Mile"), desc: hrc_distance_2mile_desc, program: "HRC_Distance.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_2mile}
var prog_hrc_4mile = {label: QT_TRANSLATE_NOOP("Menu", "HRC 4 Mile"), desc: hrc_distance_4mile_desc, program: "HRC_Distance.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_4mile}

var prog_hrc_intervals = { label: QT_TRANSLATE_NOOP("Menu", "INTERVALS"), desc: hrc_intervals_desc, program: "HRC_Intervals.xml", icon: "tft/nav_icon_HRC.png", image: image_hrc_intervals, modestyImage: image_hrc_intervals_modesty }

// ====== WEIGHTLOSS Programs ======

var calgoal_desc = QT_TRANSLATE_NOOP("Menu", "This workout allows you to choose the number of calories you wish to burn within a specified workout time.  The WORKLOAD will adjust automatically to attain this goal.")
var glutebuster_desc = QT_TRANSLATE_NOOP("Menu", "Changing workload focuses on intense glute muscle use.  For an added challenge, reverse the stride motion periodically.")
var legshaper_desc = QT_TRANSLATE_NOOP("Menu", "A workout that suggests pace changes to work the leg muscles with added intensity.  Reverse stride occasionally for an added challenge.")

var prog_calorie_goal = { label: QT_TRANSLATE_NOOP("Menu", "CALORIE GOAL"),   desc: calgoal_desc,  program: "Calorie_Goal.xml", icon: "tft/nav_icon_CALORIEGOAL.png", image: image_calorie_goal, modestyImage: image_calorie_goal_modesty }
var prog_glutebuster = { label: QT_TRANSLATE_NOOP("Menu", "GLUTE BUSTER"),   desc: glutebuster_desc,  program: "Glute_Buster.xml",  icon: "tft/nav_icon_GUTEBUSTER.png", image: image_glutebuster, modestyImage: image_glutebuster_modesty }
var prog_legshaper = { label: QT_TRANSLATE_NOOP("Menu", "LEG SHAPER"),   desc: legshaper_desc,  program: "Leg_Shaper.xml",  icon: "tft/nav_icon_LEGSHAPER.png", image: "WF/WF_309_Leg_Shaper.png", modestyImage: "WF/MaleOnly/WF_309_Leg_Shaper.png" }



// ====== Cardio360 Programs ======
var cardio360menu_desc = QT_TRANSLATE_NOOP("Menu", "Cardio360 coaches you through a dynamic total-body workout!")
var cardio360_desc = QT_TRANSLATE_NOOP("Menu", "If you're looking for variety to make your cardio workout fly, try this random cycle of Cardio360 exercises for a great total-body workout.")
var cardio360QS_desc = QT_TRANSLATE_NOOP("Menu", "Get right into a pre-set 20-minute workout designed to shape and tone every major muscle group.")
var cardio360video_desc = QT_TRANSLATE_NOOP("Menu", "Workout with an on-screen coach in real-time.  Cardio360 Video immerses you in a 20-minute full-body routine while allowing you to modify intensity.")
var cardio360arms_desc = QT_TRANSLATE_NOOP("Menu", "Challenge your upper body and core to this 10-minute, 3-motion program, following along at your own intensity.")
var cardio360legs_desc = QT_TRANSLATE_NOOP("Menu", "Tighten and tone your legs and glutes, changing resistance on the fly.")
var cardio360custom_desc = QT_TRANSLATE_NOOP("Menu", "Modify and maximize your workout to its fullest potential.  Cardio360 Custom lets you build a personalized routine, choosing your favorite Cardio360 motions and lengths of time.  Then save your set-up for next time.")
var prog_cardio360 = { label: QT_TRANSLATE_NOOP("Menu", "Cardio360"), desc: cardio360_desc, program: "Cardio_360.xml", icon: "tft/nav_icon_C360.png", image: image_cardio360, modestyImage: image_cardio360_modesty }
var prog_cardio360QS = { label: QT_TRANSLATE_NOOP("Menu", "QUICK START"), desc: cardio360QS_desc, program: "Cardio_360_Quick_Start.xml", icon: "tft/nav_icon_C360green.png", image: image_cardio360QS }
var prog_cardio360video = { label: QT_TRANSLATE_NOOP("Menu", "VIDEO"), desc: cardio360video_desc, program: "Cardio_360_Video.xml",icon: "tft/nav_icon_C360red.png", image: image_cardio360video }
var prog_cardio360arms = { label: QT_TRANSLATE_NOOP("Menu", "ARM SCULPTOR"), desc: cardio360arms_desc, program: "Cardio_360_Arm_Sculptor.xml", icon: "tft/nav_icon_C360.png", image: image_cardio360arms }
var prog_cardio360legs = { label: QT_TRANSLATE_NOOP("Menu", "LEG SHAPER"), desc: cardio360legs_desc, program: "Cardio_360_Leg_Shaper.xml", icon: "tft/nav_icon_C360.png", image: image_cardio360legs, modestyImage: image_cardio360legs_modesty  }
var prog_cardio360custom = { label: QT_TRANSLATE_NOOP("Menu", "Cardio360 CUSTOM"), desc: cardio360custom_desc, program: "Cardio360_Custom_Workout.xml", icon: "tft/nav_icon_C360.png", image: image_cardio360, modestyImage: image_cardio360_modesty }

// ===== CUSTOM Programs ====
var custom_pace_desc = QT_TRANSLATE_NOOP("Menu", "Set up your own speed intervals.  Easy to change setup screens allow you to customize any PACE SETTER (RPM) profile to add variation to your cardio session.")
var custom_hill_desc = QT_TRANSLATE_NOOP("Menu", "Easy to change WORKLOAD interval workouts that simulate hills.  User friendly setup screens allow you to create any hill profile.")
var custom_ultra_desc = QT_TRANSLATE_NOOP("Menu", "Do you have trouble finding a workout that fits your specific needs?  Try setting up your own!  This completely customizable workout setup allows WORKLOAD and PACE SETTER interval control as well as the ability to control interval time.")
var custom_hrc_desc = QT_TRANSLATE_NOOP("Menu", "Set up your own heart rate intervals.  Specify WORK and REST targets and let the machine make all the adjustments." + "  " + "The workout begins in MANUAL control - gradually increase WORKLOAD until heart rate is within 10 bpm of the target. At this point, the machine takes control of WORKLOAD to maintain your HR within a few beats of your target.")

var prog_custom_pace = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM PACE"),   desc: custom_pace_desc, program: "Custom_Pace.xml",  icon: "tft/nav_icon_CUSTOM.png", image: image_custom_pace, modestyImage: image_custom_pace_modesty }
var prog_custom_hill = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM HILL"),   desc: custom_hill_desc, program: "Custom_Hills.xml",  icon: "tft/nav_icon_CUSTOM.png", image: image_custom_hill, modestyImage: image_custom_hill_modesty }
var prog_custom_ultra = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM ULTRA"),   desc: custom_ultra_desc, program: "Custom_Ultra.xml",  icon: "tft/nav_icon_CUSTOM.png", image: image_custom_ultra, modestyImage: image_custom_ultra_modesty }
var prog_custom_hrc = { label: QT_TRANSLATE_NOOP("Menu", "CUSTOM HRC"),   desc: custom_hrc_desc, program: "Custom_HRC_Intervals.xml",  icon: "tft/nav_icon_HRC.png", image: image_custom_hrc }
var prog_manual = { label: QT_TRANSLATE_NOOP("Menu", "MANUAL WORKOUT"),   desc: desc_prog_manual, program: "Manual.xml", icon: "tft/nav_icon_MANUAL.png", image: image_manual, modestyImage: image_manual_modesty }

// ===== Menus =====

var menu_HRC = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "HRC\nWORKOUTS"), desc: desc_menu_hrc,
        icon: "tft/nav_icon_HRC.png", navicon: "navbar/Navigation_HRC", image: "WF/WF_204_Hrc_Workouts.png", modestyImage: "WF/MaleOnly/WF_204_Hrc_Workouts.png",
        children: [
            back_button,
            prog_hrc_target,
            prog_hrc_weightloss,
            !main.isCSA ? prog_hrc_aerobic : null,
            prog_hrc_distance,
            !main.isCSA ? prog_hrc_intervals : null,
        ]
    }
}

var menu_bike_HRC = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "HRC\nWORKOUTS"), desc: desc_menu_hrc,
        icon: "tft/nav_icon_HRC.png", navicon: "navbar/Navigation_HRC", image: "WF/WF_204_Hrc_Workouts.png", modestyImage: "WF/MaleOnly/WF_204_Hrc_Workouts.png",
        children: [
            back_button,
            prog_hrc_target,
            prog_hrc_weightloss,
            prog_hrc_aerobic,
            prog_hrc_distance,
            prog_hrc_intervals
        ]
    }
}


var menu_cardio360 = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "Cardio360\nWORKOUTS"), desc: cardio360menu_desc,
        icon: "tft/nav_icon_C360.png", navicon: "navbar/Navigation_360", image: "WF/WF_202_Cardio_360_Workouts.png", modestyImage: "WF/MaleOnly/WF_202_Cardio_360_Workouts.png",

        children: [
            back_button,
            prog_cardio360QS,
            !main.isCSA ? prog_cardio360arms : null,
            !main.isCSA ? prog_cardio360legs : null,
            prog_cardio360custom,
        ]
    }
};


var menu_bike_performance = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "PERFORMANCE\nWORKOUTS"), desc: desc_menu_performance,
        icon: "tft/nav_icon_PERFORM.png", navicon: "navbar/Navigation_Performance", image: "WF/WF_205_Performance.png",
        children: [
            back_button,
            prog_cardio_challange,
            prog_pace_ramp,
            prog_pace_intervals,
            prog_rolling_hills,
            prog_single_hill,
            prog_hill_intervals,
            prog_random_hills,
            prog_distance_5k,
            prog_distance_10k,
            prog_distance_2mile,
            prog_distance_4mile,
            prog_fitness_test
            //            back_button,
        ]
    }
};

var menu_elliptical_performance = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "PERFORMANCE\nWORKOUTS"), desc: desc_menu_performance,
        icon: "tft/nav_icon_PERFORM.png", navicon: "navbar/Navigation_Performance", image: "WF/WF_205_Performance.png",
        children: [
            back_button,
            !main.isCSA ? prog_cardio_challange : null,
            prog_cardio360,
            !main.isCSA ? prog_walkrun_intervals : null,
            !main.isCSA ? prog_pace_ramp : null,
            prog_pace_intervals,
            !main.isCSA ? prog_rolling_hills : null,
            !main.isCSA ? prog_single_hill : null,
            prog_random_hills,
            prog_hill_intervals,
            prog_fitness_test,
            main.isCSA ? prog_stride_intervals : null
            //            back_button,
        ]
    }
}


var menu_bike_weightloss = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "WEIGHT\nLOSS\nWORKOUTS"), desc: desc_menu_weightloss,
        icon: "tft/nav_icon_WL.png", navicon: "navbar/Navigation_WL", image: "WF/WF_203_Weight_Loss_Workout.png", modestyImage: "WF/MaleOnly/WF_203_Weight_Loss_Workout.png",
        children: [
            back_button,
            prog_calorie_goal,
            prog_glutebuster,
            prog_legshaper,
            prog_hrc_weightloss
        ]
    }
}

var menu_elliptical_weightloss = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "WEIGHT\nLOSS\nWORKOUTS"), desc: desc_menu_weightloss,
        icon: "tft/nav_icon_WL.png", navicon: "navbar/Navigation_WL", image: "WF/WF_203_Weight_Loss_Workout.png", modestyImage: "WF/MaleOnly/WF_203_Weight_Loss_Workout.png",
        children: [
            back_button,
            prog_calorie_goal,
            prog_cardio360QS,
            prog_glutebuster,
            prog_legshaper,
            prog_hrc_weightloss
        ]
    }
}

var menu_elliptical_custom = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "CUSTOM\nWORKOUTS"), desc: desc_menu_custom,
        icon: "tft/nav_icon_CUSTOM.png", navicon: "navbar/Navigation_Custom", image: "WF/WF_206_Custom_Workouts.png", modestyImage: "WF/MaleOnly/WF_206_Custom_Workouts.png",
        children: [
            back_button,
            !main.isCSA ? prog_custom_pace : null,
            !main.isCSA ? prog_custom_hill : null,
            prog_custom_ultra,
            prog_custom_hrc,
            prog_saved
        ]
    }
}
var menu_bike_custom = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "CUSTOM\nWORKOUTS"), desc: desc_menu_custom,
        icon: "tft/nav_icon_CUSTOM.png", navicon: "navbar/Navigation_Custom", image: "WF/WF_206_Custom_Workouts.png", modestyImage: "WF/MaleOnly/WF_206_Custom_Workouts.png",
        children: [
            back_button,
            prog_custom_pace,
            prog_custom_hill,
            prog_custom_ultra,
            prog_custom_hrc,
            prog_saved
        ]
    }
}

var menu_bike_top = function() {
    return {
        desc: "workout finder", navicon: "navbar/Navigation_WF",
        children: [
            back_button,
            menu_bike_weightloss(),
            menu_bike_HRC(),
            menu_bike_performance(),
            menu_bike_custom(),
            prog_manual,
            show_all_workouts_button,
        ]
    }
}

var menu_elliptical_top  = function() {
    return {
        desc: "workout finder", navicon: "navbar/Navigation_WF",
        children: [
            back_button,
            menu_cardio360(),
            menu_elliptical_weightloss(),
            menu_HRC(),
            menu_elliptical_performance(),
            menu_elliptical_custom(),
            prog_manual,
            show_all_workouts_button,
            //            back_button,
        ]
    }
};

var menu_bike_all = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "All Programs"),
        navicon: "navbar/Navigation_All_Presets",
        children: [
            prog_manual,
            prog_hrc_target,
            prog_hrc_weightloss,
            prog_hrc_aerobic,
            prog_hrc_5k,
            prog_hrc_10k,
            prog_hrc_2mile,
            prog_hrc_4mile,
            prog_hrc_intervals,
            prog_custom_hrc,
            prog_calorie_goal,
            prog_glutebuster,
            prog_legshaper,
            prog_rolling_hills,
            prog_single_hill,
            prog_hill_intervals,
            prog_random_hills,
            prog_pace_intervals,
            prog_pace_ramp,
            prog_custom_pace,
            prog_custom_hill,
            prog_custom_ultra,
            prog_cardio_challange,
            //prog_distance,
            prog_distance_5k,
            prog_distance_10k,
            prog_distance_2mile,
            prog_distance_4mile,
        ]
    }
}

var menu_elliptical_all = function() {
    return {
        label: QT_TRANSLATE_NOOP("Menu", "All Programs"),
        navicon: "navbar/Navigation_All_Presets",
        children: [
            prog_manual,
            prog_cardio360,
            //prog_cardio360video,
            !main.isCSA ? prog_cardio360arms : null,
            !main.isCSA ? prog_cardio360legs : null,
            prog_cardio360custom,
            !main.isCSA ? prog_cardio360QS : null,
            prog_hrc_target,
            prog_hrc_weightloss,
            !main.isCSA ? prog_hrc_aerobic : null,
            !main.isCSA ? prog_hrc_5k : null,
            !main.isCSA ? prog_hrc_10k : null,
            !main.isCSA ? prog_hrc_2mile : null,
            !main.isCSA ? prog_hrc_4mile : null,
            !main.isCSA ? prog_hrc_intervals : null,
            prog_calorie_goal,
            prog_glutebuster,
            prog_legshaper,
            !main.isCSA ? prog_rolling_hills : null,
            !main.isCSA ? prog_single_hill : null,
            prog_hill_intervals,
            prog_random_hills,
            !main.isCSA ? prog_walkrun_intervals : null,
            prog_pace_intervals,
            !main.isCSA ? prog_pace_ramp : null,
            !main.isCSA ? prog_custom_pace : null,
            !main.isCSA ? prog_custom_hill : null,
            prog_custom_ultra,
            prog_custom_hrc,
            !main.isCSA ? prog_cardio_challange : null,
            //prog_distance,
            main.isCSA ? prog_stride_5k : prog_distance_5k,
            !main.isCSA ? prog_distance_10k : null,
            !main.isCSA ? prog_distance_2mile : null,
            !main.isCSA ? prog_distance_4mile : null,
            prog_fitness_test,
            main.isCSA ? prog_stride_intervals : null,
            options.saveWorkoutEnabled ? prog_saved : null
        ]
    }
}

// Cross mapping of program names to images, for the Saved Workouts browser
function getProgramImage(programId) {
    switch(programId) {
//        case WorkoutProgram.NO_PROG:
//        case WorkoutProgram.QUICK_START_PROG:
//        case WorkoutProgram.TREAD_QUICK_START_PROG:
        case WorkoutProgram.MANUAL_PROG: return options.modestyMode ? image_manual_modesty : image_manual
        case WorkoutProgram.DISTANCE_PROG: return image_distance_10k
        case WorkoutProgram.CALORIE_PROG: return options.modestyMode ? image_calorie_goal_modesty : image_calorie_goal
        case WorkoutProgram.ROLLING_HILLS_PROG: return image_rolling_hills
        case WorkoutProgram.SINGLE_HILL_PROG: return options.modestyMode ? image_tread_single_hill_modesty : image_tread_single_hill
        case WorkoutProgram.HILL_INTERVALS_PROG: return image_hill_intervals
        case WorkoutProgram.CARDIO_CHALLENGE_PROG: return options.modestyMode ? image_cardio_challange_modesty : image_cardio_challange
        case WorkoutProgram.PACE_RAMP_PROG: return options.modestyMode ? image_pace_ramp_modesty : image_pace_ramp
        case WorkoutProgram.PACE_INTERVALS_PROG: return options.modestyMode ? image_pace_intervals_modesty : image_pace_intervals
        case WorkoutProgram.HRC_AEROBIC_PROG: return options.modestyMode ? image_hrc_aerobic_modesty : image_hrc_aerobic
        case WorkoutProgram.HRC_WEIGHT_LOSS_PROG: return options.modestyMode ? image_hrc_weightloss_modesty : image_hrc_weightloss
        case WorkoutProgram.HRC_TARGET_PROG: return image_hrc_target
        case WorkoutProgram.HRC_DISTANCE_PROG: return image_hrc_distance
        case WorkoutProgram.HRC_INTERVALS_PROG: return options.modestyMode ? image_hrc_intervals_modesty : image_hrc_intervals
        case WorkoutProgram.GLUTE_BUSTER_PROG: return options.modestyMode ? image_glutebuster_modesty : image_glutebuster
        case WorkoutProgram.LEG_SHAPER_PROG: return options.modestyMode ? image_legshaper_modesty : image_legshaper
        case WorkoutProgram.WALK_AND_RUN_PROG: return options.modestyMode ? image_walkrun_intervals_modesty : image_walkrun_intervals
        case WorkoutProgram.C360_QUICK_START_PROG: return image_cardio360QS
        case WorkoutProgram.C360_PROG: return options.modestyMode ? image_cardio360_modesty : image_cardio360
        case WorkoutProgram.C360_ARM_SCULPTOR_PROG: return image_cardio360arms
        case WorkoutProgram.C360_LEG_SHAPER_PROG: return options.modestyMode ? image_cardio360legs_modesty : image_cardio360legs
//        case WorkoutProgram.C360_DEMO_PROG:
        case WorkoutProgram.C360_VIDEO_PROG: return image_cardio360video
        case WorkoutProgram.CUSTOM_PACE_PROG: return options.modestyMode ? image_custom_pace_modesty : image_custom_pace
        case WorkoutProgram.CUSTOM_HILLS_PROG: return options.modestyMode ? image_custom_hill_modesty : image_custom_hill
        case WorkoutProgram.CUSTOM_ULTRA_PROG: return options.modestyMode ? image_custom_ultra_modesty : image_custom_ultra
        case WorkoutProgram.CUSTOM_HRC_PROG: return image_custom_hrc
        case WorkoutProgram.CUSTOM_C360_PROG: return image_cardio360custom
        case WorkoutProgram.RANDOM_HILLS_PROG: return image_random_hills
        case WorkoutProgram.FITNESS_TEST_PROG: return options.modestyMode ? image_fitness_test_modesty : image_fitness_test
        case WorkoutProgram.TREAD_CALORIE_PROG: return options.modestyMode ? image_tread_calorie_goal_modesty : image_tread_calorie_goal
        case WorkoutProgram.TREAD_CARDIO_CHALLENGE_PROG: return options.modestyMode ? image_tread_cardio_challange_modesty : image_tread_cardio_challange
        case WorkoutProgram.TREAD_CUSTOM_HILLS_PROG: return options.modestyMode ? image_tread_custom_hill_modesty : image_tread_custom_hill
        case WorkoutProgram.TREAD_CUSTOM_SPEED_PROG: return options.modestyMode ? image_tread_custom_speed_modesty : image_tread_custom_speed
        case WorkoutProgram.TREAD_CUSTOM_ULTRA_PROG: return options.modestyMode ? image_tread_custom_ultra_modesty : image_tread_custom_ultra
        case WorkoutProgram.TREAD_CUSTOM_HRC_PROG: return image_tread_custom_hrc
        case WorkoutProgram.TREAD_DISTANCE_PROG: return image_tread_distance
        case WorkoutProgram.TREAD_GLUTE_BUSTER_PROG: return options.modestyMode ? image_tread_glute_buster_modesty : image_tread_glute_buster
        case WorkoutProgram.TREAD_HILL_INTERVALS_PROG: return image_tread_hill_intervals
        case WorkoutProgram.TREAD_HRC_AEROBIC_PROG: return options.modestyMode ? image_tread_hrc_aerobic_modesty : image_tread_hrc_aerobic
        case WorkoutProgram.TREAD_HRC_DISTANCE_PROG: return image_tread_hrc_distance
        case WorkoutProgram.TREAD_HRC_INTERVALS_PROG: return options.modestyMode ? image_tread_hrc_intervals_modesty : image_tread_hrc_intervals
        case WorkoutProgram.TREAD_HRC_TARGET_PROG: return image_tread_hrc_target
        case WorkoutProgram.TREAD_HRC_WEIGHT_LOSS_PROG: return options.modestyMode ? image_tread_hrc_weightloss_modesty : image_tread_hrc_weightloss
        case WorkoutProgram.TREAD_LEG_SHAPER_PROG: return options.modestyMode ? image_tread_leg_shaper_modesty : image_tread_leg_shaper
        case WorkoutProgram.TREAD_MANUAL_PROG: return options.modestyMode ? image_tread_manual_modesty : image_tread_manual
        case WorkoutProgram.TREAD_RANDOM_HILLS_PROG: return image_tread_random_hills
        case WorkoutProgram.TREAD_ROLLING_HILLS_PROG: return image_tread_rolling_hills
        case WorkoutProgram.TREAD_SINGLE_HILL_PROG: return options.modestyMode ? image_tread_single_hill_modesty : image_tread_single_hill
        case WorkoutProgram.TREAD_SPEED_INTERVALS_PROG: return options.modestyMode ? image_tread_speed_intervals_modesty : image_tread_speed_intervals
        case WorkoutProgram.TREAD_SPEED_RAMP: return options.modestyMode ? image_tread_speed_ramp_modesty : image_tread_speed_ramp
        case WorkoutProgram.TREAD_WALK_AND_RUN_PROG: return options.modestyMode ? image_tread_walkrun_modesty : image_tread_walkrun
        case WorkoutProgram.TREAD_WEIGHT_LOSS_HILLS_PROG: return options.modestyMode ? image_tread_weightloss_hills_modesty : image_tread_weightloss_hills
        case WorkoutProgram.TREAD_AIR_FORCE_MILITARY_FITNESS_TEST_PROG: return options.modestyMode ? image_tread_fitness_test_airforce_modesty : image_tread_fitness_test_airforce
        case WorkoutProgram.TREAD_ARMY_MILITARY_FITNESS_TEST_PROG: return options.modestyMode ? image_tread_fitness_test_army_modesty : image_tread_fitness_test_army
        case WorkoutProgram.TREAD_MARINES_MILITARY_FITNESS_TEST_PROG: return options.modestyMode ? image_tread_fitness_test_marines_modesty : image_tread_fitness_test_marines
        case WorkoutProgram.TREAD_NAVY_MILITARY_FITNESS_TEST_PROG: return options.modestyMode ? image_tread_fitness_test_navy_modesty : image_tread_fitness_test_navy
        case WorkoutProgram.TREAD_GERKIN_TEST_PROG: return options.modestyMode ? image_tread_fitness_test_gerkin_modesty : image_tread_fitness_test_gerkin
        case WorkoutProgram.SAVED_WORKOUT: return options.modestyMode ? image_saved_modesty : image_saved
        default: return options.modestyMode ? image_saved_modesty : image_saved
    }
}
