import QtQuick 2.4
import ".."
import FreezeFrame 1.0

Item {
    id: root

    property string currentPage: landingPage.page
    property bool viewShowing: false

    width: 1000
    height: 406

    function shown() {
        root.viewShowing = true
        landingPage.shown()
    }

    function hidden() {
        freezeframe.capture()
        netpulse.hide()
        root.viewShowing = false
    }

    function viewdestruct() {
        landingPage.viewdestruct()
    }

    Connections {
        target: netpulse

        onVisibleChanging: {
            if(!willBeVisible && root.viewShowing) {
                freezeframe.capture()
            }
        }
    }

    FreezeFrame {
        id: freezeframe

        anchors.fill: parent
        frozen: !landingPage.visible || netpulse.frozen
        visible: workoutViewContainer.isMoving  || netpulse.frozen // avoid excessive repaints by hiding when not needed
    }

    NetpulseWindow{
        id: landingPage
        page: "landingPage"
        anchors.fill: parent
        absx: workoutViewContainer.x+23
        absy: workoutViewContainer.y+23

        onMessageReceived: {
            if (message.op == "viewchange") {
                root.currentPage = message.page
            }
        }
    }
}

