// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import "../views.js" as TheViews
import "../"
import FreezeFrame 1.0

Item {
    id: root

    property string currentPage: virtActive.page

    width: 1000
    height: 406

    function shown() {
        //netpulse.showPage(root.currentPage)
        // TODO: We should go back to the last view (currentPage) but the back button on the VA watch screen doesn't work.
        // For now, just show the VA menu when returning to VA view.
        virtActive.shown()
    }

    function hidden() {
        freezeframe.capture()
        netpulse.hide()
    }

    function viewdestruct() {
        virtActive.viewdestruct()
    }

    FreezeFrame {
        id: freezeframe

        anchors.fill: parent
        frozen: !virtActive.visible  || netpulse.frozen
        visible: workoutViewContainer.isMoving || netpulse.frozen // avoid excessive repaints by hiding when not needed

    }

    NetpulseWindow{
        id: virtActive

        page: "virtualActive"
        anchors.fill: parent
        absx: workoutViewContainer.x+23
        absy: workoutViewContainer.y+23

        onMessageReceived: {
            if (message.op == "viewchange") {
                root.currentPage = message.page
            }
        }
    }
}
