// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import ".."
import FreezeFrame 1.0

Item{
    id: root

    width: 1000
    height: 406

    function shown() {
        infoPage.shown()
        freezeframe.capture()
    }

    function hidden() {
        if(netpulse.visible)
            freezeframe.capture()
        netpulse.hide()
    }

    function viewdestruct() {
        infoPage.viewdestruct()
    }

    FreezeFrame {
        id:freezeframe

        anchors.fill: parent
        frozen: !infoPage.visible  || netpulse.frozen
        visible: workoutViewContainer.isMoving || netpulse.frozen  // avoid excessive repaints by hiding when not needed

    }

    NetpulseWindow{
        id: infoPage

        page: "info"
        anchors.fill: parent
        absx: workoutViewContainer.x+23
        absy: workoutViewContainer.y+23

        onMessageReceived: {
            if (message.op == "button") {
                if (message.id == "logincnx")
                    workoutViewContainer.setDefaultView("LANDING_VIEW");
            }
            else if (message.op == "user") {
                netpulse.showPage("info")
            }
        }
    }
}
