// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import Components 1.0
import "../views.js" as TheViews
import "../"

Item {
    id: root

    width:workoutViewContainer.contentAreaWidth
    height: workoutViewContainer.contentAreaHeight

    Component.onDestruction: {
        audioManager.virtActivePlaying = false
    }

    // change mute status when there's a change in audio priorities
    Connections {
        target: audioManager

        onVirtActiveAllowedChanged: {
            sceneView.muted = !audioManager.virtActiveAllowed
        }

        onVirtActiveVideoAllowedChanged: {
            if( !audioManager.virtActiveVideoAllowed )
                sceneView.stopVideo()
        }

    }

    function shown() {
        // request to play audio when switching to this view
        if(sceneView.playing)
            audioManager.vaRequest()

        sceneView.muted = !audioManager.virtActiveAllowed
    }

    SceneView {
        id: sceneView

        anchors.fill: parent
        muted: audioManager.virtActiveAllowed

        visible: true

        onPlayingChanged: {
            // request to play audio when playback starts.
            audioManager.virtActivePlaying = playing
            if(playing)
                audioManager.vaRequest()
        }

        Connections{
            target: workoutScreen
            onWorkoutStopped: sceneView.stopVideo()
        }
    }
}
