// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import TrackView 1.0
import ".."


Item{
    id: root

    width:workoutViewContainer.contentAreaWidth
    height: workoutViewContainer.contentAreaHeight

    Item {
        id: trackContainer

        width: 1000
        height: 406

        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter

        Image {
            id: viewContainerBackground
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            source: "../graphics/netpulse/DATA_track_120612.png"
        }

        Text {
            id: lapsCompleteLabel
            anchors.right: viewContainerBackground.right
            anchors.rightMargin: 350
            anchors.bottom: viewContainerBackground.bottom
            anchors.bottomMargin: 120
            color: "black"
            font.pointSize: 12
            font.bold: true
            text: qsTr("LAP") + application.emptyString
        }

        Text {
            id: lapsComplete
            anchors.left: lapsCompleteLabel.right
            anchors.leftMargin: 10
            anchors.bottom: lapsCompleteLabel.bottom
            anchors.bottomMargin: -6
            color: "black"
            font.pointSize: 36
            font.bold: true
            text: trackView.laps + 1
        }

        TrackView {
            id: trackView
            width: 884
            height: 540
            visible: true
            trackPosition: aWorkoutRunData.trackDistance
            active: currentViewName === "TRACK_VIEW"
            pacerImageSource: "../graphics/224/Track_dot.png"
            Behavior on trackPosition { NumberAnimation { duration: 500 } }
        }
    }
}
