#!/bin/sh

LSUSB=`lsusb`
bootloader_present=$(echo $LSUSB | grep 7f17:0001)
brainboard_present=$(echo $LSUSB | grep 7f17:0002)
nucboot_present=$(echo $LSUSB | grep 7f17:0010)
nucleus_present=$(echo $LSUSB | grep 7f17:0011)

if [ -z "$bootloader_present" -a -z "$brainboard_present" -a -z "$nucboot_present" -a -z "$nucleus_present" ]
then
    echo NO_LOWERSYSTEM
elif [ -n "$nucboot_present" -a -z "$nucleus_present" ]
then
    echo NUCBOOT
elif [ -z "$nucboot_present" -a -n "$nucleus_present" ]
then
    echo NUCLEUS
elif [ -z "$bootloader_present" -a -n "$brainboard_present" ]
then
    echo BRAINBOARD
elif [ -n "$bootloader_present" -a -z "$brainboard_present" ]
then
    echo BRAINBOARD_BOOT
else
    echo NO_LOWERSYSTEM
fi
