#!/bin/sh

DIAGDIR=$1
SCRIPTDIR=$(cd "$( dirname "$0" )" && pwd )

SERIAL=$(sh $SCRIPTDIR/product_serial.sh)
if [ -z "$SERIAL" ] ; then
    SERIAL="unknown-serial"
fi

PRODUCTVER=$(sh $SCRIPTDIR/product_version.sh)
if [ -z "$PRODUCTVER" ] ; then
    SERIAL="unknown-procuct-version"
fi

BIOSVER=$(sudo cat /sys/class/dmi/id/bios_version)
TUNERTYPE=$(sh $SCRIPTDIR/tunertype.sh)

mkdir $DIAGDIR
dpkg -l > $DIAGDIR/dpkg-list.log
echo $SERIAL > $DIAGDIR/serialnumber
echo $PRODUCTVER > $DIAGDIR/productversion
echo $TUNERTYPE > $DIAGDIR/tunertype
echo $BIOSVER > $DIAGDIR/biosversion
lsusb > $DIAGDIR/lsusb.log
dmesg -T > $DIAGDIR/dmesg.log
cp /data/logs/* $DIAGDIR
sudo cp /var/log/auth* $DIAGDIR
sudo cp /var/log/syslog* $DIAGDIR
sudo cp /var/log/kern.log* $DIAGDIR
sudo cp /var/log/dmesg* $DIAGDIR
sudo cp /var/log/udev $DIAGDIR
cp /var/log/Xorg.0.log* $DIAGDIR
cp /data/tv_conf.xml $DIAGDIR
sudo cp /data/core-* $DIAGDIR

mkdir $DIAGDIR/netpulse
cp /netpulse/logs/error.log* $DIAGDIR/netpulse

mkdir $DIAGDIR/apt
sudo cp /var/log/apt/* $DIAGDIR/apt
sudo cp /var/log/dpkg.log* $DIAGDIR/apt

sync

# Remove core files
sudo rm /data/core-*
sync
