#!/bin/bash

# clear the existing apt lists in case they're stale
sudo rm -rf /var/lib/apt/lists/*

sudo apt-get update > /dev/null 2> /dev/null

# repair any broken dependencies
sudo apt-get install --fix-broken --allow-unauthenticated -y > /dev/null 2> /dev/null

# list the packages available to upgrade from any repo.
APTOUT=$(sudo apt-get -sV dist-upgrade | grep Inst)

# set field separator to newline
OLD_IFS="${IFS}"
IFS=$'\n'

for line in $APTOUT ; do
    IFS="${OLD_IFS}"
    echo $(echo $line | cut -d" " -f2)
    IFS=$'\n'
done

IFS="${OLD_IFS}"

