#!/bin/sh
#echo $PWD
# This will start or stop the bleno advertisement

# When advertiseWorkout.js is started it will spawn two daemons: hci-ble and l2cap-ble
# We launch the node.js proces with the _TAG environment variable set,  the child processes
# (the daemons) will also inherit the tag in there environment.
# The tag is then used to identify the process so they can be killed 
# when the "stop" argument is supplied.

# The second argument should either be "*" or "" to indicate what node scripts to show
# debug output

DIRNAME=$(dirname $0)
cd $DIRNAME/../qml/BlueTooth/noble/trueScripts

_TAG_VAL=HEARTRATE_DAEMONS

# See if debug flag is set
if [ $# -eq 2 ]; then     
	echo "debug mode" 
  	_DEBUG_VAL=*
else         
	_DEBUG_VAL=
fi

# start daemons
# Make sure adapter is activated
sudo hciconfig hci0 up

# Scan for heartrate monitors
#timeout --signal=2 3s sudo DEBUG=$_DEBUG_VAL _TAG=$_TAG_VAL node advertisement-heartrate-discovery.js

sudo DEBUG=$_DEBUG_VAL _TAG=$_TAG_VAL node advertisement-heartrate-discovery.js
