#!/bin/sh
DUMP=$(pacmd dump)
VOLUME_SOURCE=$(echo "${DUMP}" | grep set-default-sink | cut -d' ' -f2)
VOLUME_LEVEL=$(echo "${DUMP}" | grep "set-sink-volume ${VOLUME_SOURCE}" | cut -d' ' -f3)
MUTE_STATE=$(echo "${DUMP}" | grep "set-sink-mute ${VOLUME_SOURCE}" | cut -d' ' -f3)
NUMBER=$(echo $((${VOLUME_LEVEL})))

if [ -z "$1" ]
then
        echo "Missing argument. Valid arguments: vol | info"
	exit 0
fi

if [ "$1" = "info" ]
then
        echo "info ${VOLUME_SOURCE} ${NUMBER} ${MUTE_STATE}"
elif [ "$1" = "vol" ]
then
        if [ -z "$2" ]
        then
                echo "Missing argument for vol. Usage: vol <volume_number>"
                exit 0
        fi
        pactl set-sink-volume ${VOLUME_SOURCE} "$2"
else
        echo "Unknown argument. Valid arguments: vol <volume_number> | info"
	exit 0
fi


